Index: trunk/data/konvert/postnas_0.6/alkis_PostNAS_0.6_keytables.sql
===================================================================
--- trunk/data/konvert/postnas_0.6/alkis_PostNAS_0.6_keytables.sql	(revision 146)
+++ trunk/data/konvert/postnas_0.6/alkis_PostNAS_0.6_keytables.sql	(revision 147)
@@ -761,3 +761,119 @@
 INSERT INTO ax_grablochderbodenschaetzung_bedeutung (wert,bezeichner) VALUES (3000,'Grabloch, nicht bestimmend');
 
+
+--
+-- Thema ax_forstrecht - ax_forstrecht_besonderefunktion
+--
+CREATE TABLE ax_forstrecht_artderfestlegung(
+    wert integer,
+    bezeichner character varying,
+    CONSTRAINT pk_ax_forstrecht_artderfestlegung  PRIMARY KEY (wert)
+  );
+
+COMMENT ON TABLE ax_forstrecht_artderfestlegung
+IS 'SchlÃŒsseltabelle mit Werten aus GeoInfoDok NW, geladen mit SQL-Script.';
+
+INSERT INTO ax_forstrecht_artderfestlegung (bezeichner, wert) VALUES('Klassifizierung nach Bundes- oder Landeswaldgesetz',3900);
+INSERT INTO ax_forstrecht_artderfestlegung (bezeichner, wert) VALUES('Staatswald Bund',3910);
+INSERT INTO ax_forstrecht_artderfestlegung (bezeichner, wert) VALUES('Staatswald Land',3920);
+INSERT INTO ax_forstrecht_artderfestlegung (bezeichner, wert) VALUES('Kommunalwald',3930);
+INSERT INTO ax_forstrecht_artderfestlegung (bezeichner, wert) VALUES('Anstalts- und Stiftungswald',3940);
+INSERT INTO ax_forstrecht_artderfestlegung (bezeichner, wert) VALUES('Anderer Ã¶ffentlicher Wald',3950);
+INSERT INTO ax_forstrecht_artderfestlegung (bezeichner, wert) VALUES('Privater Gemeinschaftswald',3960);
+INSERT INTO ax_forstrecht_artderfestlegung (bezeichner, wert) VALUES('GroÃprivatwald',3970);
+INSERT INTO ax_forstrecht_artderfestlegung (bezeichner, wert) VALUES('Kleinprivatwald',3980);
+INSERT INTO ax_forstrecht_artderfestlegung (bezeichner, wert) VALUES('Anderer Privatwald',3990);
+
+--
+-- Thema ax_forstrecht - ax_forstrecht_besonderefunktion
+--
+CREATE TABLE ax_forstrecht_besonderefunktion(
+    wert integer,
+    bezeichner character varying,
+    CONSTRAINT pk_ax_forstrecht_besonderefunktion  PRIMARY KEY (wert)
+  );
+
+COMMENT ON TABLE ax_forstrecht_besonderefunktion
+IS 'SchlÃŒsseltabelle mit Werten aus GeoInfoDok NW, geladen mit SQL-Script.';
+
+INSERT INTO ax_forstrecht_besonderefunktion (bezeichner, wert) VALUES('Ohne besondere gesetzliche Bindung',1000);
+INSERT INTO ax_forstrecht_besonderefunktion (bezeichner, wert) VALUES('Ohne besondere gesetzliche Bindung nach LWaldG- Holzboden',1010);
+INSERT INTO ax_forstrecht_besonderefunktion (bezeichner, wert) VALUES('Schutzwald',2000);
+INSERT INTO ax_forstrecht_besonderefunktion (bezeichner, wert) VALUES('Schutzwald - Holzboden',2010);
+INSERT INTO ax_forstrecht_besonderefunktion (bezeichner, wert) VALUES('Erholungswald',3000);
+INSERT INTO ax_forstrecht_besonderefunktion (bezeichner, wert) VALUES('Erholungswald - Holzboden',3010);
+INSERT INTO ax_forstrecht_besonderefunktion (bezeichner, wert) VALUES('Bannwald',4000);
+INSERT INTO ax_forstrecht_besonderefunktion (bezeichner, wert) VALUES('Nationalpark - Holzboden',4010);
+INSERT INTO ax_forstrecht_besonderefunktion (bezeichner, wert) VALUES('Naturschutzgebiet - Holzboden',5010);
+INSERT INTO ax_forstrecht_besonderefunktion (bezeichner, wert) VALUES('Schutz- und Erholungswald',6000);
+INSERT INTO ax_forstrecht_besonderefunktion (bezeichner, wert) VALUES('Schutz- und Erholungswald - Holzboden',6010);
+INSERT INTO ax_forstrecht_besonderefunktion (bezeichner, wert) VALUES('Nationalpark - Nichtholzboden',7010);
+INSERT INTO ax_forstrecht_besonderefunktion (bezeichner, wert) VALUES('Naturschutzgebiet - Nichtholzboden',8010);
+INSERT INTO ax_forstrecht_besonderefunktion (bezeichner, wert) VALUES('Andere ForstbetriebsflÃ€che',9000);
+INSERT INTO ax_forstrecht_besonderefunktion (bezeichner, wert) VALUES('Nichtholzboden',9010);
+INSERT INTO ax_forstrecht_besonderefunktion (bezeichner, wert) VALUES('Sonstiges',9999);
+
+
+--
+-- Thema ax_bodenschaetzung - entstehungsartoderklimastufe Tabellennamen gekÃŒrzt ax_bodenschaetzung_entstehungsartoderklimastufewasserverhaeltnisse
+--
+CREATE TABLE ax_bodenschaetzung_entstehungsartoderklimastufe(
+    wert integer,
+    bezeichner character varying,
+    CONSTRAINT pk_ax_bodenschaetzung_entstehungsartoderklimastufe PRIMARY KEY (wert)
+  );
+
+COMMENT ON TABLE ax_bodenschaetzung_entstehungsartoderklimastufe
+IS 'SchlÃŒsseltabelle mit Werten aus GeoInfoDok NW, geladen mit SQL-Script.';
+
+
+
+INSERT INTO ax_bodenschaetzung_entstehungsartoderklimastufe (bezeichner, wert) VALUES('Diluvium (D)',1000);
+INSERT INTO ax_bodenschaetzung_entstehungsartoderklimastufe (bezeichner, wert) VALUES('Diluvium ÃŒber Alluvium (DAl)',1100);
+INSERT INTO ax_bodenschaetzung_entstehungsartoderklimastufe (bezeichner, wert) VALUES('Diluvium ÃŒber LÃ¶Ã (DLÃ¶)',1200);
+INSERT INTO ax_bodenschaetzung_entstehungsartoderklimastufe (bezeichner, wert) VALUES('Diluvium ÃŒber Verwitterung (DV)',1300);
+INSERT INTO ax_bodenschaetzung_entstehungsartoderklimastufe (bezeichner, wert) VALUES('Diluvium, gesteinig (Dg)',1400);
+INSERT INTO ax_bodenschaetzung_entstehungsartoderklimastufe (bezeichner, wert) VALUES('Diluvium, gesteinig ÃŒber Alluvium (DgAl)',1410);
+INSERT INTO ax_bodenschaetzung_entstehungsartoderklimastufe (bezeichner, wert) VALUES('Diluvium, gesteinig ÃŒber LÃ¶Ã (DgLÃ¶)',1420);
+INSERT INTO ax_bodenschaetzung_entstehungsartoderklimastufe (bezeichner, wert) VALUES('Diluvium, gesteinig ÃŒber Verwitterung (DgV)',1430);
+INSERT INTO ax_bodenschaetzung_entstehungsartoderklimastufe (bezeichner, wert) VALUES('LÃ¶Ã (LÃ¶)',2000);
+INSERT INTO ax_bodenschaetzung_entstehungsartoderklimastufe (bezeichner, wert) VALUES('LÃ¶Ã ÃŒber Diluvium (LÃ¶D)',2100);
+INSERT INTO ax_bodenschaetzung_entstehungsartoderklimastufe (bezeichner, wert) VALUES('LÃ¶Ã, Diluvium, GesteinsbÃ¶den (LÃ¶Dg)',2110);
+INSERT INTO ax_bodenschaetzung_entstehungsartoderklimastufe (bezeichner, wert) VALUES('LÃ¶Ã, Diluvium, Verwitterung (LÃ¶DV)',2120);
+INSERT INTO ax_bodenschaetzung_entstehungsartoderklimastufe (bezeichner, wert) VALUES('LÃ¶Ã ÃŒber Alluvium (LÃ¶Al)',2200);
+INSERT INTO ax_bodenschaetzung_entstehungsartoderklimastufe (bezeichner, wert) VALUES('LÃ¶Ã ÃŒber Verwitterung (LÃ¶V)',2300);
+INSERT INTO ax_bodenschaetzung_entstehungsartoderklimastufe (bezeichner, wert) VALUES('LÃ¶Ã, Verwitterung, GesteinsbÃ¶den (LÃ¶Vg)',2310);
+INSERT INTO ax_bodenschaetzung_entstehungsartoderklimastufe (bezeichner, wert) VALUES('LÃ¶Ã ÃŒber Verwitterung, gesteinig (LÃ¶Vg)',2400);
+INSERT INTO ax_bodenschaetzung_entstehungsartoderklimastufe (bezeichner, wert) VALUES('Alluvium (Al)',3000);
+INSERT INTO ax_bodenschaetzung_entstehungsartoderklimastufe (bezeichner, wert) VALUES('Alluvium ÃŒber Diluvium (AlD)',3100);
+INSERT INTO ax_bodenschaetzung_entstehungsartoderklimastufe (bezeichner, wert) VALUES('Alluvium ÃŒber LÃ¶Ã (AlLÃ¶)',3200);
+INSERT INTO ax_bodenschaetzung_entstehungsartoderklimastufe (bezeichner, wert) VALUES('Alluvium ÃŒber Verwitterung (AlV)',3300);
+INSERT INTO ax_bodenschaetzung_entstehungsartoderklimastufe (bezeichner, wert) VALUES('Alluvium, gesteinig (Alg)',3400);
+INSERT INTO ax_bodenschaetzung_entstehungsartoderklimastufe (bezeichner, wert) VALUES('Alluvium, gesteinig ÃŒber Diluvium (AlgD)',3410);
+INSERT INTO ax_bodenschaetzung_entstehungsartoderklimastufe (bezeichner, wert) VALUES('Alluvium, gesteinig ÃŒber LÃ¶Ã (AlgLÃ¶)',3420);
+INSERT INTO ax_bodenschaetzung_entstehungsartoderklimastufe (bezeichner, wert) VALUES('Alluvium, gesteinig ÃŒber Verwitterung (AlgV)',3430);
+INSERT INTO ax_bodenschaetzung_entstehungsartoderklimastufe (bezeichner, wert) VALUES('Alluvium, Marsch (AlMa)',3500);
+INSERT INTO ax_bodenschaetzung_entstehungsartoderklimastufe (bezeichner, wert) VALUES('Alluvium, Moor (AlMo)',3610);
+INSERT INTO ax_bodenschaetzung_entstehungsartoderklimastufe (bezeichner, wert) VALUES('Moor, Alluvium (MoAI)',3620);
+INSERT INTO ax_bodenschaetzung_entstehungsartoderklimastufe (bezeichner, wert) VALUES('Mergel (Me)',3700);
+INSERT INTO ax_bodenschaetzung_entstehungsartoderklimastufe (bezeichner, wert) VALUES('Verwitterung (V)',4000);
+INSERT INTO ax_bodenschaetzung_entstehungsartoderklimastufe (bezeichner, wert) VALUES('Verwitterung ÃŒber Diluvium (VD)',4100);
+INSERT INTO ax_bodenschaetzung_entstehungsartoderklimastufe (bezeichner, wert) VALUES('Verwitterung ÃŒber Alluvium (VAl)',4200);
+INSERT INTO ax_bodenschaetzung_entstehungsartoderklimastufe (bezeichner, wert) VALUES('Verwitterung ÃŒber LÃ¶Ã (VLÃ¶)',4300);
+INSERT INTO ax_bodenschaetzung_entstehungsartoderklimastufe (bezeichner, wert) VALUES('Verwitterung, GesteinsbÃ¶den (Vg)',4400);
+INSERT INTO ax_bodenschaetzung_entstehungsartoderklimastufe (bezeichner, wert) VALUES('Verwitterung, GesteinsbÃ¶den ÃŒber Diluvium (VgD)',4410);
+INSERT INTO ax_bodenschaetzung_entstehungsartoderklimastufe (bezeichner, wert) VALUES('Entstehungsart nicht erkennbar (-)',5000);
+INSERT INTO ax_bodenschaetzung_entstehungsartoderklimastufe (bezeichner, wert) VALUES('Klimastufe 8Â° C und darÃŒber (a)',6100);
+INSERT INTO ax_bodenschaetzung_entstehungsartoderklimastufe (bezeichner, wert) VALUES('Klimastufe 7,9Â° - 7,0Â° C (b)',6200);
+INSERT INTO ax_bodenschaetzung_entstehungsartoderklimastufe (bezeichner, wert) VALUES('Klimastufe 6,9Â° - 5,7Â° C (c)',6300);
+INSERT INTO ax_bodenschaetzung_entstehungsartoderklimastufe (bezeichner, wert) VALUES('Klimastufe 5,6Â° C und darunter (d)',6400);
+INSERT INTO ax_bodenschaetzung_entstehungsartoderklimastufe (bezeichner, wert) VALUES('Wasserstufe (1)',7100);
+INSERT INTO ax_bodenschaetzung_entstehungsartoderklimastufe (bezeichner, wert) VALUES('Wasserstufe (2)',7200);
+INSERT INTO ax_bodenschaetzung_entstehungsartoderklimastufe (bezeichner, wert) VALUES('Wasserstufe (3)',7300);
+INSERT INTO ax_bodenschaetzung_entstehungsartoderklimastufe (bezeichner, wert) VALUES('Wasserstufe (4)',7400);
+INSERT INTO ax_bodenschaetzung_entstehungsartoderklimastufe (bezeichner, wert) VALUES('Wasserstufe (4-)',7410);
+INSERT INTO ax_bodenschaetzung_entstehungsartoderklimastufe (bezeichner, wert) VALUES('Wasserstufe (5)',7500);
+INSERT INTO ax_bodenschaetzung_entstehungsartoderklimastufe (bezeichner, wert) VALUES('Wasserstufe (5-)',7510);
+INSERT INTO ax_bodenschaetzung_entstehungsartoderklimastufe (bezeichner, wert) VALUES('Wasserstufe (3-)',7520);
+INSERT INTO ax_bodenschaetzung_entstehungsartoderklimastufe (bezeichner, wert) VALUES('Wasserstufe (3+4)',7530);
 -- ENDE --