Index: trunk/data/konvert/postnas_0.6/alkis_PostNAS_0.6_keytables.sql
===================================================================
--- trunk/data/konvert/postnas_0.6/alkis_PostNAS_0.6_keytables.sql	(revision 147)
+++ trunk/data/konvert/postnas_0.6/alkis_PostNAS_0.6_keytables.sql	(revision 148)
@@ -16,8 +16,9 @@
 
 -- Version
---  2010-09-16  krz f.j. Buchungsart hinzugefuegt
---  2011-07-25  PostNAS 06, Umbenennung, "grant" raus
---  2011-11-21  Mehrere neue SchlÃŒsseltabellen zu ax_gebaeude_*, Konstanten aus Tabellen entfernt (Wozu?)
-
+--  2010-09-16  F.J. Buchungsart hinzugefuegt
+--  2011-07-25       PostNAS 06, Umbenennung, "grant" raus
+--  2011-11-21  F.J. Mehrere neue SchlÃŒsseltabellen zu ax_gebaeude_*, Konstanten aus Tabellen entfernt (Wozu?)
+--  2011-12-16  A.E. Mehrere neue Tabellen zum Bereich "Bodenschaetzung"
+--  2011-12-19  F.J. Neue Tabelle "ax_datenerhebung"
 
   SET client_encoding = 'UTF8';
@@ -68,6 +69,4 @@
     wert        integer, 
     bezeichner  character varying,
---  kennung     integer,            entfernt 21.11.2011, ist konstant! "31001"
---  objektart   character varying   entfernt 21.11.2011, ist konstant! "ax_gebaeude"
     CONSTRAINT pk_ax_gebaeude_funktion_wert PRIMARY KEY (wert)
    );
@@ -438,6 +437,4 @@
    wert integer,
    bezeichner character varying,
--- kennung integer, -- Konstant 21008, entfernt 21.11.2011
--- objektart character varying, -- Konstant 'ax_buchungsstelle', entfernt 21.11.2011
    CONSTRAINT pk_ax_bsba_wert PRIMARY KEY (wert)
   );
@@ -447,5 +444,4 @@
 
 -- 51 Werte
-
 INSERT INTO ax_buchungsstelle_buchungsart (wert, bezeichner) VALUES (1100,'GrundstÃŒck');
 INSERT INTO ax_buchungsstelle_buchungsart (wert, bezeichner) VALUES (1101,'Aufgeteiltes GrundstÃŒck WEG');
@@ -501,5 +497,4 @@
 
 
-
 -- E i g e n t u e m e r a r t
 
@@ -509,5 +504,4 @@
 -- Fuer "viele Werte" wuerde sich eine Tabelle lohnen.
 -- 3 Werte koennen ueber Function (case) entschluesselt werden.
-
 
 
@@ -586,6 +580,6 @@
 
 
--- ax_bodenschaetzung_kulturart
--- ---------------------------------
+-- B o d e n s c h a e t z u n g -  K u l t u r a r t
+-- --------------------------------------------------
 
 CREATE TABLE ax_bodenschaetzung_kulturart (
@@ -606,7 +600,6 @@
 
 
-
--- ax_bodenschaetzung_bodenart
--- ---------------------------------
+-- B o d e n s c h a e t z u n g  -  B o d e n a r t
+-- -------------------------------------------------
 
 CREATE TABLE ax_bodenschaetzung_bodenart (
@@ -695,6 +688,8 @@
 INSERT INTO ax_bodenschaetzung_bodenart (wert, bezeichner) VALUES (9490,'AlluviumDiluvium(AlD)');
 
----
---- 
+
+-- B o d e n s c h a e t z u n g  -  Z u s t a n d s s t u f e
+-- ------------------------------------------------------------
+
 CREATE TABLE ax_bodenschaetzung_zustandsstufe (
     wert integer,
@@ -724,7 +719,6 @@
 
 
---
--- Thema ax_bodenschaetzung - ax_musterlandesmusterundvergleichsstueck
---
+-- B o d e n s c h a e t z u n g   -  Muster-, Landesmuster- und Vergleichsstueck
+-- ------------------------------------------------------------------------------
 CREATE TABLE ax_musterlandesmusterundvergleichsstueck_merkmal (
     wert integer,
@@ -736,5 +730,4 @@
 IS 'SchlÃŒsseltabelle mit Werten aus GeoInfoDok NW, geladen mit SQL-Script.';
 
-
 INSERT INTO ax_musterlandesmusterundvergleichsstueck_merkmal (wert,bezeichner) VALUES (1000,'MusterstÃŒck (M)');
 INSERT INTO ax_musterlandesmusterundvergleichsstueck_merkmal (wert,bezeichner) VALUES (2000,'LandesmusterstÃŒck (L)');
@@ -742,7 +735,7 @@
 
 
---
--- Thema ax_bodenschaetzung - ax_grablochderbodenschaetzung
---
+-- B o d e n s c h a e t z u n g  -  Grabloch der Bodenschaetzung
+-- --------------------------------------------------------------
+
 CREATE TABLE ax_grablochderbodenschaetzung_bedeutung (
     wert integer,
@@ -762,7 +755,7 @@
 
 
---
--- Thema ax_forstrecht - ax_forstrecht_besonderefunktion
---
+-- F o r s t r e c h t  -  A r t   d e r   F e s t l e g u n g
+-- -----------------------------------------------------------
+
 CREATE TABLE ax_forstrecht_artderfestlegung(
     wert integer,
@@ -785,7 +778,7 @@
 INSERT INTO ax_forstrecht_artderfestlegung (bezeichner, wert) VALUES('Anderer Privatwald',3990);
 
---
--- Thema ax_forstrecht - ax_forstrecht_besonderefunktion
---
+
+-- F o r s t r e c h t - B e s o n d e r e   F u n k t i o n
+-- ---------------------------------------------------------
 CREATE TABLE ax_forstrecht_besonderefunktion(
     wert integer,
@@ -815,7 +808,8 @@
 
 
---
--- Thema ax_bodenschaetzung - entstehungsartoderklimastufe Tabellennamen gekÃŒrzt ax_bodenschaetzung_entstehungsartoderklimastufewasserverhaeltnisse
---
+
+-- B o d e n s c h a e t z u n g   -  Entstehungsart oder Klimastufe / Wasserverhaeltnisse
+-- ----------------------------------------------------------------------------------------
+
 CREATE TABLE ax_bodenschaetzung_entstehungsartoderklimastufe(
     wert integer,
@@ -826,5 +820,4 @@
 COMMENT ON TABLE ax_bodenschaetzung_entstehungsartoderklimastufe
 IS 'SchlÃŒsseltabelle mit Werten aus GeoInfoDok NW, geladen mit SQL-Script.';
-
 
 
@@ -877,3 +870,45 @@
 INSERT INTO ax_bodenschaetzung_entstehungsartoderklimastufe (bezeichner, wert) VALUES('Wasserstufe (3-)',7520);
 INSERT INTO ax_bodenschaetzung_entstehungsartoderklimastufe (bezeichner, wert) VALUES('Wasserstufe (3+4)',7530);
+
+
+-- D a t e n e r h e b u n g
+-- -------------------------
+-- Datentyp: AX_LI_Source_MitDatenerhebung
+
+CREATE TABLE ax_datenerhebung (
+    wert integer,
+    bezeichner character varying,
+    CONSTRAINT pk_ax_Datenerhebung PRIMARY KEY (wert)
+  );
+
+COMMENT ON TABLE ax_datenerhebung
+IS 'SchlÃŒsseltabelle mit Werten aus GeoInfoDok NW, geladen mit SQL-Script.';
+
+INSERT INTO ax_datenerhebung (bezeichner, wert) VALUES('Aus Katastervermessung ermittelt', 1000); -- (G)
+INSERT INTO ax_datenerhebung (bezeichner, wert) VALUES('Aufgrund Anforderungen mit Netzanschluss ermittelt', 1100);
+INSERT INTO ax_datenerhebung (bezeichner, wert) VALUES('Aufgrund Anforderungen mit Bezug zur FlurstÃŒcksgrenze ermittelt', 1200);
+INSERT INTO ax_datenerhebung (bezeichner, wert) VALUES('Aus sonstiger Vermessung ermittelt', 1900);
+INSERT INTO ax_datenerhebung (bezeichner, wert) VALUES('Aus Luftbildmessung oder Fernerkundungsdaten ermittelt', 2000);-- 	
+INSERT INTO ax_datenerhebung (bezeichner, wert) VALUES('Aus Katasterunterlagen und Karten fÃŒr graphische Zwecke ermittelt', 4000);
+INSERT INTO ax_datenerhebung (bezeichner, wert) VALUES('Aus Katasterzahlen fÃŒr graphische Zwecke ermittelt', 4100);
+INSERT INTO ax_datenerhebung (bezeichner, wert) VALUES('Aus Katasterkarten digitalisiert', 4200);-- (G)
+INSERT INTO ax_datenerhebung (bezeichner, wert) VALUES('Aus Katasterkarten digitalisiert, KartenmaÃstab M grÃ¶Ãer gleich 1 zu 1000', 4210);
+INSERT INTO ax_datenerhebung (bezeichner, wert) VALUES('Aus Katasterkarten digitalisiert, KartenmaÃstab 1 zu 1000 grÃ¶Ãer M grÃ¶Ãer gleich 1 zu 2000', 4220);
+INSERT INTO ax_datenerhebung (bezeichner, wert) VALUES('Aus Katasterkarten digitalisiert, KartenmaÃstab 1 zu 2000 grÃ¶Ãer M grÃ¶Ãer gleich 1 zu 3000', 4230);
+INSERT INTO ax_datenerhebung (bezeichner, wert) VALUES('Aus Katasterkarten digitalisiert, KartenmaÃstab 1 zu 3000 grÃ¶Ãer M grÃ¶Ãer gleich 1 zu 5000', 4240);
+INSERT INTO ax_datenerhebung (bezeichner, wert) VALUES('Aus Katasterkarten digitalisiert, KartenmaÃstab 1 zu 5000 grÃ¶Ãer M', 4250);
+INSERT INTO ax_datenerhebung (bezeichner, wert) VALUES('Aus sonstigen Unterlagen digitalisiert', 4300);-- (G)
+INSERT INTO ax_datenerhebung (bezeichner, wert) VALUES('Aus sonstigen Unterlagen digitalisiert, KartenmaÃstab M grÃ¶Ãer gleich 1 zu 1000', 4310);
+INSERT INTO ax_datenerhebung (bezeichner, wert) VALUES('Aus sonstigen Unterlagen digitalisiert, KartenmaÃstab 1 zu 1000 grÃ¶Ãer M grÃ¶Ãer gleich 1 zu 2000', 4320);
+INSERT INTO ax_datenerhebung (bezeichner, wert) VALUES('Aus sonstigen Unterlagen digitalisiert, KartenmaÃstab 1 zu 2000 grÃ¶Ãer M grÃ¶Ãer gleich 1 zu 3000', 4330);
+INSERT INTO ax_datenerhebung (bezeichner, wert) VALUES('Aus sonstigen Unterlagen digitalisiert, KartenmaÃstab 1 zu 3000 grÃ¶Ãer M grÃ¶Ãer gleich 1 zu 5000', 4340);
+INSERT INTO ax_datenerhebung (bezeichner, wert) VALUES('Aus sonstigen Unterlagen digitalisiert, KartenmaÃstab 1 zu 5000 grÃ¶Ãer M', 4350);
+INSERT INTO ax_datenerhebung (bezeichner, wert) VALUES('Aus sonstigen Unterlagen digitalisiert, mit sonstigen geometrischen Bedingungen und bzw. oder Homogenisierung (M grÃ¶Ãer gleich 1 zu 1000)', 4360);
+INSERT INTO ax_datenerhebung (bezeichner, wert) VALUES('Aus sonstigen Unterlagen digitalisiert, mit Berechnung oder Abstandsbedingung (M grÃ¶Ãer gleich 1 zu 1000)', 4370);
+INSERT INTO ax_datenerhebung (bezeichner, wert) VALUES('Aus sonstigen Unterlagen digitalisiert, mit sonstigen geometrischen Bedingungen und bzw. oder Homogenisierung (M kleiner 1 zu 1000)', 4380);
+INSERT INTO ax_datenerhebung (bezeichner, wert) VALUES('Aus sonstigen Unterlagen digitalisiert, mit Berechnung oder Abstandsbedingungen (M kleiner 1 zu 1000)', 4390);
+INSERT INTO ax_datenerhebung (bezeichner, wert) VALUES('Nach Quellenlage nicht zu spezifizieren', 9998);--  (G)
+INSERT INTO ax_datenerhebung (bezeichner, wert) VALUES('Sonstiges', 9999);
+
+
 -- ENDE --