Index: trunk/data/mapbender/http/nav/alkisnav_grd.php
===================================================================
--- trunk/data/mapbender/http/nav/alkisnav_grd.php	(revision 151)
+++ trunk/data/mapbender/http/nav/alkisnav_grd.php	(revision 152)
@@ -3,4 +3,6 @@
 	24.10.2011 Nach Pos-Klick Highlight erneuern statt hideHighlight
 	17.11.2011 Nachweis-Links ÃŒber javascript im neuen Hochformat-Fenster
+	14.12.2011 "window.open(..,width=680"
+	16.01.2012 Blattnummer in 2 Varianten suchen
 */
 import_request_variables("G");
@@ -22,5 +24,5 @@
 		function imFenster(dieURL) {
 			var link = encodeURI(dieURL);
-			window.open(link,'','left=10,top=10,width=620,height=800,resizable=yes,menubar=no,toolbar=no,location=no,status=no,scrollbars=yes');
+			window.open(link,'','left=10,top=10,width=680,height=800,resizable=yes,menubar=no,toolbar=no,location=no,status=no,scrollbars=yes');
 		}
 	</script>
@@ -50,8 +52,14 @@
 		return 2; // Such Bezirk-NUMMER
 	} else  { // Format von Blatt pruefen
+	// Stand Jan. 2012: 2 gemischt vorkommende Formate in Blatt-Nr
+	// 1234567   Stelle
+	//'19'       linksbÃŒndig
+	//'19A'      .. mit Zusatz
+	//'000019 '  gefÃŒllt
+	//'000019A'  .. mit Zusatz
 		$len=strlen($zblatt);
 		if ($len > 0 AND $len < 8) {		
-			if (trim($zblatt, "0..9") == "") { // Normalfall: nur Zahlen
-				$zblattn= ltrim($zblatt, "0");
+			if (trim($zblatt, "0..9 ") == "") { // Normalfall: nur Zahlen (und Blank))
+				$zblattn= rtrim(ltrim($zblatt, "0"), " ");
 				$zblattz="";
 			} else { // Sonderfall: Zusatz-Buchstabe am Ende
@@ -59,5 +67,4 @@
 				$zblattz=strtoupper(substr($zblatt,$len-1,1)); 
 				if ((trim($zblattn, "0..9") == "") and (trim($zblattz, "A..Z") == "")) {
-					$zblatt=$zblattn.$zblattz;
 					$zblattn= ltrim($zblattn, "0"); // ohne fuehrende Nullen
 				} else {
@@ -266,4 +273,5 @@
 	while($row = pg_fetch_array($res)) {	
 		$blatt=$row["blatt"];
+		$blattd=ltrim($blatt, "0");
 		$gml=$row["gml_id"];
 		echo "\n<div class='gb' title='GB-Blatt'>";
@@ -271,5 +279,5 @@
 				echo "\n\t\t<img class='nwlink' src='ico/GBBlatt_link.ico' width='16' height='16' alt='Blatt'>";
 			echo "\n\t</a> ";
-			echo "Blatt <a href='".$_SERVER['SCRIPT_NAME']."?gkz=".$gkz."&amp;gemeinde=".$gemeinde."&amp;epsg=".$epsg."&amp;gblatt=".$gml."&amp;gbkennz=".$zgbbez."-".$blatt."'>&nbsp;".$blatt."&nbsp;</a>";
+			echo "Blatt <a href='".$_SERVER['SCRIPT_NAME']."?gkz=".$gkz."&amp;gemeinde=".$gemeinde."&amp;epsg=".$epsg."&amp;gblatt=".$gml."&amp;gbkennz=".$zgbbez."-".$blatt."'>&nbsp;".$blattd."&nbsp;</a>";
 		echo "\n</div>";
 		$cntbl++;
@@ -291,7 +299,8 @@
 	$sql ="SELECT b.gml_id, b.buchungsblattnummermitbuchstabenerweiterung AS blatt FROM ax_buchungsblatt b "; 
 	$sql.="WHERE b.bezirk= $1 AND b.buchungsblattnummermitbuchstabenerweiterung IN ( $2 , $3 );";
-	// Unterschiedliche Formate in ax_buchungsblatt.buchungsblattnummermitbuchstabenerweiterung
-	// Musterdaten RLP: ohne fuehrende Nullen, Lippe NRW: mit!
-	$zblatt0v=str_pad($zblattn, 6, "0", STR_PAD_LEFT).$zblattz;	// mit 0 vorne
+
+	// Alternatives Suchformat mit 0en vorn und Blank statt Zusatz
+	$zblatt0v=str_pad($zblattn, 6, "0", STR_PAD_LEFT).str_pad($zblattz, 1, " ", STR_PAD_LEFT);
+
 	$v=array($zgbbez,$zblattn.$zblattz,$zblatt0v);
 	$res=pg_prepare("", $sql);
@@ -330,5 +339,5 @@
 				echo "\n\t\t<img class='nwlink' src='ico/GBBlatt_link.ico' width='16' height='16' alt='Blatt'>";
 			echo "\n\t</a> ";
-			echo "Blatt <a href='".$_SERVER['SCRIPT_NAME']."?gkz=".$gkz."&amp;gemeinde=".$gemeinde."&amp;epsg=".$epsg."&amp;gblatt=".$gblatt."&amp;gbkennz=".$zgbbez."-".$zblatt."'>&nbsp;".$zblatt."&nbsp;</a>";
+			echo "Blatt <a href='".$_SERVER['SCRIPT_NAME']."?gkz=".$gkz."&amp;gemeinde=".$gemeinde."&amp;epsg=".$epsg."&amp;gblatt=".$gblatt."&amp;gbkennz=".$zgbbez."-".$zblatt."'>&nbsp;".$zblattn.$zblattz."&nbsp;</a>";
 		echo "\n</div>";
 	}
@@ -383,5 +392,8 @@
 	$sql.="WHERE v.beziehungsart='istBestandteilVon' ";
 	$sql.="AND b.bezirk= $1 AND b.buchungsblattnummermitbuchstabenerweiterung IN ( $2, $3 ) AND s.laufendenummer= $4 ;";
-	$zblatt0v=str_pad($zblattn, 6, "0", STR_PAD_LEFT).$zblattz;	// mit 0 vorne
+
+	// Alternatives Suchformat mit 0en vorn und Blank statt Zusatz
+	$zblatt0v=str_pad($zblattn, 6, "0", STR_PAD_LEFT).str_pad($zblattz, 1, " ", STR_PAD_LEFT);
+
 	$v=array($zgbbez, $zblattn.$zblattz, $zblatt0v, $zbvnr);
 	$res=pg_prepare("", $sql);
@@ -409,5 +421,5 @@
 function EinGrundstueck($showParent) {
 	// Die gml_id der Buchungsstelle ist bekannt.
-	global $con, $gkz, $debug, $gemeinde, $epsg, $scalefs, $epsg, $auskpath, $gbuchung, $zgbbez, $zblatt, $zbvnr, $gfilter;
+	global $con, $gkz, $debug, $gemeinde, $epsg, $scalefs, $epsg, $auskpath, $gbuchung, $zgbbez, $zblatt, $zblattn, $zblattz, $zbvnr, $gfilter;
 	if ($showParent) { // wenn Kennzeichen bekannt ist, dann auch Blatt ausgeben
 		if (isset($zgbbez) and isset($zblatt)) {
@@ -421,5 +433,5 @@
 			echo "\n<div class='gb' title='GB-Blatt'>";
 				echo "\n\t\t<img class='nwlink' src='ico/GBBlatt.ico' width='16' height='16' alt='Blatt'> ";
-				echo "Blatt <a href='".$_SERVER['SCRIPT_NAME']."?gkz=".$gkz."&amp;gemeinde=".$gemeinde."&amp;epsg=".$epsg."&amp;gbkennz=".$zgbbez."-".$zblatt."'>&nbsp;".$zblatt."&nbsp;</a>";
+				echo "Blatt <a href='".$_SERVER['SCRIPT_NAME']."?gkz=".$gkz."&amp;gemeinde=".$gemeinde."&amp;epsg=".$epsg."&amp;gbkennz=".$zgbbez."-".$zblatt."'>&nbsp;".$zblattn.$zblattz."&nbsp;</a>";
 			echo "\n</div>";
 		} else {
@@ -428,5 +440,5 @@
 		echo "\n<div class='gs'>";
 			echo "\n\t\t<img class='nwlink' title='Grundst&uuml;ck' src='ico/Grundstueck.ico' width='16' height='16' alt='GS'> ";
-			echo "Buchung <a href='".$_SERVER['SCRIPT_NAME']."?gkz=".$gkz."&amp;gemeinde=".$gemeinde."&amp;epsg=".$epsg."&amp;gbuchung=".$gbuchung."&amp;gbkennz=".$zgbbez."-".$zblatt."-".$zbvnr."'>&nbsp;".$zbvnr."&nbsp;</a>";
+			echo "Buchung <a href='".$_SERVER['SCRIPT_NAME']."?gkz=".$gkz."&amp;gemeinde=".$gemeinde."&amp;epsg=".$epsg."&amp;gbuchung=".$gbuchung."&amp;gbkennz=".$zgbbez."-".$zblattn.$zblattz."-".$zbvnr."'>&nbsp;".$zbvnr."&nbsp;</a>";
 		echo "\n</div>";
 	}
@@ -469,4 +481,6 @@
 		if($gemeinde > 0 and $gemeinde != $gemei and $gfilter == 1) { // ex-territorial 
 		// +++ Wie Abgleich mit Filter=Gemeinde-Liste? Als Array aufbereiten?
+			if ($debug >= 2) {echo "<p class='dbg'>Gemkg ".$gmkg." liegt in Gemeinde '".$gemei."' nicht '".$gemeinde."'</p>";}
+
 			echo "\n<div class='fs' title='Kein Zugriff! Liegt au&szlig;erhalb des Gebietes.'>";
 				echo "\n\t\t<img class='nwlink' src='ico/Flurstueck_Leer.ico' width='16' height='16' alt='FS'> (".$gmkg." ".$flur."-".$fskenn." )";
@@ -495,5 +509,5 @@
 // ===========
 if(isset($epsg)) {
-	if ($debug >= 2) {echo "<p>aktueller EPSG='".$epsg."'</p>";} // aus MB
+	if ($debug >= 2) {echo "<p class='dbg'>aktueller EPSG='".$epsg."'</p>";} // aus MB
 	$epsg = str_replace("EPSG:", "" , $_REQUEST["epsg"]);	
 } else {
@@ -502,6 +516,6 @@
 }
 if ($debug >= 2) {
-	if(isset($gemeinde)) {echo "<p>Filter Gemeinde = ".$gemeinde."</p>";
-	} else {echo "<p>Kein Filter Gemeinde</p>";}
+	if(isset($gemeinde)) {echo "<p class='dbg'>Filter Gemeinde = ".$gemeinde."</p>";
+	} else {echo "<p class='dbg'>Kein Filter Gemeinde</p>";}
 }
 if ($gemeinde == "") {
@@ -515,13 +529,13 @@
 // Auch wenn redundant: Das Kennzeichen fÃŒr Anzeige und weitere Links zerlegen
 $kennztyp=ZerlegungGBKennz($gbkennz);
-if ($debug >= 2) {echo "<p>GB-Kennzeichen Typ=".$kennztyp."</p>";}
+if ($debug >= 2) {echo "<p class='dbg'>GB-Kennzeichen Typ=".$kennztyp."</p>";}
 
 // Wurde eine gml_id (internes Kennzeichen) aus einem Self-Link verwendet?
 // Dann hat das Prioritaet, nicht nach $gbkennz suchen.
 if (isset($gbuchung)) { // gml der Buchungsstelle
-	if ($debug >= 2) {echo "<p>Link Buchung(gml)=".$gbuchung."</p>";}
+	if ($debug >= 2) {echo "<p class='dbg'>Link Buchung(gml)=".$gbuchung."</p>";}
 	EinGrundstueck(true);
 } elseif(isset($gblatt)) { // gml des GB-Blattes
-	if ($debug >= 2) {echo "<p>Link Blatt(gml)=".$gblatt."</p>";}
+	if ($debug >= 2) {echo "<p class='dbg'>Link Blatt(gml)=".$gblatt."</p>";}
 	if (EinBlatt(true) == 1) { // darauf genau eine Buchung
 		$gbuchung=gml_buchungsstelle(); // gml_id zum Kennzeichen
@@ -529,5 +543,5 @@
 	}
 } elseif(isset($ag)) { // Key 'stelle' des Amtsgerichtes
-	if ($debug >= 2) {echo "<p>Link Amtsgericht=".$ag."</p>";}
+	if ($debug >= 2) {echo "<p class='dbg'>Link Amtsgericht=".$ag."</p>";}
 	ListAG( "'".$ag."'" ); // noch mal Kopfzeile
 	ListGBBez("'".$ag."'", false);
@@ -541,5 +555,5 @@
 			break;
 		case 1: // Eingabe Bezirk-Name (-Teil) -> gefilterte Liste der Bezirke
-			if ($debug >= 2) {echo "<p>Eingabe Bez. ".$zgbbez."</p>";}
+			if ($debug >= 2) {echo "<p class='dbg'>Eingabe Bez. ".$zgbbez."</p>";}
 			$beznr=SuchGBBezName();
 			if ($beznr > 0) {  // eindeutig
@@ -549,9 +563,9 @@
 			break;
 		case 2: // Eingabe Bezirk-Nummer -> Liste der BlÃ€tter
-			if ($debug >= 2) {echo "<p>Eingabe Bez. ".$zgbbez."</p>";}	
+			if ($debug >= 2) {echo "<p class='dbg'>Eingabe Bez. ".$zgbbez."</p>";}	
 			EinBezirk(true);
 			break;
 		case 3: // Eingabe Blatt -> Liste der Buchungen
-			if ($debug >= 2) {echo "<p>Eingabe Bez. ".$zgbbez." Blatt ".$zblatt."</p>";}
+			if ($debug >= 2) {echo "<p class='dbg'>Eingabe Bez. ".$zgbbez." Blatt ".$zblatt."</p>";}
 			$gblatt=gml_blatt(); // gml_id zum Blatt suchen
 			if ($gblatt != "") { // gefunden		
@@ -563,5 +577,5 @@
 			break;
 		case 4: // Eingabe Buchung (Grundstueck) -> Liste der Flurstuecke
-			if ($debug >= 2) {echo "<p>Eingabe Bez. ".$zgbbez." Blatt ".$zblatt." BVNR ".$zbvnr."</p>";}
+			if ($debug >= 2) {echo "<p class='dbg'>Eingabe Bez. ".$zgbbez." Blatt ".$zblatt." BVNR ".$zbvnr."</p>";}
 			$gbuchung=gml_buchungsstelle(); // gml_id zum Kennzeichen
 			if ($gbuchung != "") { // .. wurde geliefert 