Index: /trunk/data/konvert/postnas_0.6/sichten.sql
===================================================================
--- /trunk/data/konvert/postnas_0.6/sichten.sql	(revision 152)
+++ /trunk/data/konvert/postnas_0.6/sichten.sql	(revision 153)
@@ -6,6 +6,7 @@
 
 --  2011-07-25 PostNAS 06, Umbenennung
---  2011-10-20 Nummer NebengebÃ€ude und Zuordnungspfeile fuer GebÃ€ude   ##### IN ARBEIT
+--  2011-10-20 Nummer NebengebÃ€ude und Zuordnungspfeile fuer GebÃ€ude
 --  2011-12-08 umbenannt "gemeinde_in_gemarkung" -> "gemarkung_in_gemeinde"
+--  2012-01-16 Feinheiten
 
 --  -----------------------------------------
@@ -20,17 +21,6 @@
 -- Die Verbindung erfolgt ÃŒber "alkis_beziehungen"
 
--- PostNAS 0.5, September 2010:
---   Musterdaten RLP: zaehler-nenner steht auch in Feld "ap_pto.schriftinhalt"
---   Lippe NRW:       Feld "ap_pto.schriftinhalt" ist leer. Label aus Tabelle "ax_flurstueck" entnehmen
-
-
--- In einigen Gebieten enthÃ€lt das Feld "ap_pto.art"
--- nicht den Wert 'ZAE_NEN' sondern 'urn:adv:fachdatenverbindung'.
--- Die FlurstÃŒcksnummer fehlt dann im WMS.
--- Die Bedingung vorÃŒbergehend heraus nehmen. Ursache klÃ€ren!
-
 
 -- Bruchnummerierung erzeugen
-
 CREATE OR REPLACE VIEW s_flurstueck_nr
 AS 
@@ -49,5 +39,4 @@
      ON alkis_beziehungen.beziehung_zu = ax_flurstueck.gml_id
   WHERE alkis_beziehungen.beziehungsart = 'dientZurDarstellungVon'
-  --AND ap_pto.art = 'ZAE_NEN'
   ;
 
@@ -58,12 +47,13 @@
 -- ---------------------
 
--- In einigen Gebieten in Lippe enthÃ€lt das Feld "ap_pto.art"
--- nicht den Wert 'HNR'. Die Hausnummer fehlt dann im WMS.
--- Die Bedingung vorÃŒbergehend heraus nehmen. Ursache klÃ€ren!
+-- Problem: Zu einigen GebÃ€uden gibt es mehrere Hausnummern.
+-- Diese unterscheiden sich im Feld ap-pto.advstandardmodell
+-- z.B. 3 verschiedene EintrÃ€ge mit <NULL>, {DKKM500}, {DKKM1000}, (Beispiel; Lage, Lange StraÃe 15 c)
+
 
 CREATE OR REPLACE VIEW s_hausnummer_gebaeude 
 AS 
  SELECT ap_pto.ogc_fid, 
-        ap_pto.wkb_geometry, 
+        ap_pto.wkb_geometry, -- Point
         ap_pto.drehwinkel * 57.296 AS drehwinkel,   -- umn: ANGLE [drehwinkel]
         ax_lagebezeichnungmithausnummer.hausnummer  -- umn: LABELITEM
@@ -99,6 +89,4 @@
 COMMENT ON VIEW s_nummer_nebengebaeude IS 'fuer Kartendarstellung: Hausnummern NebengebÃ€ude';
 
--- ToDo: Die Zahl in Klammern setzen ?  (in Map oder View?)
-
 
 -- Layer "ag_p_flurstueck"
@@ -109,5 +97,6 @@
  SELECT ap_ppo.ogc_fid, 
         ap_ppo.wkb_geometry, 
-        ap_ppo.drehwinkel * 57.296 + 90 AS drehwinkel, 
+    -- ap_ppo.drehwinkel * 57.296 + 90 AS drehwinkel, -- Korrektur 2011-12-22 (Arbeit am Mapfile)
+        ap_ppo.drehwinkel * 57.296 AS drehwinkel,
         ax_flurstueck.flurstueckskennzeichen
    FROM ap_ppo
@@ -135,7 +124,26 @@
      ON alkis_beziehungen.beziehung_zu = ax_flurstueck.gml_id
   WHERE ap_lpo.art = 'Pfeil'
-    AND alkis_beziehungen.beziehungsart = 'dientZurDarstellungVon';
-
-COMMENT ON VIEW s_zuordungspfeil_flurstueck IS 'fuer Kartendarstellung';
+    AND alkis_beziehungen.beziehungsart = 'dientZurDarstellungVon'
+    AND ('DKKM1000' ~~ ANY (ap_lpo.advstandardmodell));
+
+COMMENT ON VIEW s_zuordungspfeil_flurstueck IS 'fuer Kartendarstellung: Zuordnungspfeil FlurstÃŒcksnummer';
+
+
+CREATE OR REPLACE VIEW s_zuordungspfeilspitze_flurstueck 
+AS 
+ SELECT ap_lpo.ogc_fid, (((st_azimuth(st_pointn(ap_lpo.wkb_geometry, 1), 
+        st_pointn(ap_lpo.wkb_geometry, 2)) * (- (180)::double precision)) / pi()) + (90)::double precision) AS winkel, 
+        st_startpoint(ap_lpo.wkb_geometry) AS wkb_geometry 
+   FROM ap_lpo
+   JOIN alkis_beziehungen 
+     ON ap_lpo.gml_id = alkis_beziehungen.beziehung_von
+   JOIN ax_flurstueck 
+     ON alkis_beziehungen.beziehung_zu = ax_flurstueck.gml_id
+  WHERE ap_lpo.art = 'Pfeil'
+    AND alkis_beziehungen.beziehungsart = 'dientZurDarstellungVon'
+    AND ('DKKM1000' ~~ ANY (ap_lpo.advstandardmodell));
+
+COMMENT ON VIEW s_zuordungspfeilspitze_flurstueck IS 'fuer Kartendarstellung: Zuordnungspfeil FlurstÃŒcksnummer, Spitze';
+
 
 
@@ -165,7 +173,4 @@
 
 
---BAUSTELLE
-
-
 -- Layer "s_zuordungspfeil_gebaeude"
 -- -----------------------------------
@@ -185,13 +190,75 @@
     AND alkis_beziehungen.beziehungsart = 'dientZurDarstellungVon';
 
-COMMENT ON VIEW s_zuordungspfeil_gebaeude IS 'fuer Kartendarstellung';
-
-
--- Sichten vom OBK (Oberbergischer Kreis) zu "Grenzen"
--- ---------------------------------------------------
--- Schema "alkis" daraus entfernt.
-
--- Feld "ax_besondereflurstuecksgrenze.artderflurstuecksgrenze" als Array "integer[]" !
--- Anpassung Schema 18.09.2011
+COMMENT ON VIEW s_zuordungspfeil_gebaeude IS 'fuer Kartendarstellung: Zuordnungspfeil fÃŒr GebÃ€ude-Nummer';
+
+
+-- Sichten vom OBK (Oberbergischer Kreis)
+-- --------------------------------------
+
+-- Dazu notwendig: Feld "ax_besondereflurstuecksgrenze.artderflurstuecksgrenze" als Array "integer[]" !
+-- Anpassung DB-Schema erfolgte am 18.09.2011
+
+
+CREATE VIEW sk2004_zuordnungspfeil 
+AS
+ SELECT ap.ogc_fid, ap.wkb_geometry 
+ FROM ap_lpo ap 
+ WHERE ((ap.signaturnummer = 2004) 
+   AND ('DKKM1000'::text ~~ ANY ((ap.advstandardmodell)::text[])));
+
+COMMENT ON VIEW sk2004_zuordnungspfeil IS 'fuer Kartendarstellung: Zuordnungspfeil FlurstÃŒcksnummer"';
+-- krz: ap.signaturnummer is NULL in allen SÃ€tzen
+--      Siehe s_zuordungspfeil_flurstueck 
+
+CREATE VIEW sk2004_zuordnungspfeil_spitze 
+AS
+ SELECT ap.ogc_fid, (((st_azimuth(st_pointn(ap.wkb_geometry, 1), 
+        st_pointn(ap.wkb_geometry, 2)) * (- (180)::double precision)) / pi()) + (90)::double precision) AS winkel, 
+        st_startpoint(ap.wkb_geometry) AS wkb_geometry 
+ FROM ap_lpo ap 
+ WHERE ((ap.signaturnummer = 2004) 
+   AND ('DKKM1000'::text ~~ ANY ((ap.advstandardmodell)::text[])));
+-- krz: ap.signaturnummer is NULL in allen SÃ€tzen
+
+
+CREATE OR REPLACE VIEW sk2012_flurgrenze 
+AS 
+ SELECT fg.ogc_fid, fg.wkb_geometry
+   FROM ax_besondereflurstuecksgrenze fg
+  WHERE (3000 = ANY (fg.artderflurstuecksgrenze)) 
+    AND fg.advstandardmodell ~~ 'DLKM'::text;
+
+COMMENT ON VIEW sk2012_flurgrenze IS 'fuer Kartendarstellung: besondere FlurstÃŒcksgrenze "Flurgrenze"';
+
+
+CREATE OR REPLACE VIEW sk2014_gemarkungsgrenze 
+AS 
+ SELECT gemag.ogc_fid, gemag.wkb_geometry
+   FROM ax_besondereflurstuecksgrenze gemag
+  WHERE (7003 = ANY (gemag.artderflurstuecksgrenze)) 
+    AND gemag.advstandardmodell ~~ 'DLKM'::text;
+
+COMMENT ON VIEW sk2014_gemarkungsgrenze IS 'fuer Kartendarstellung: besondere FlurstÃŒcksgrenze "Gemarkungsgrenze"';
+
+
+CREATE OR REPLACE VIEW sk2018_bundeslandgrenze 
+AS 
+ SELECT blg.ogc_fid, blg.wkb_geometry
+   FROM ax_besondereflurstuecksgrenze blg
+  WHERE (7102 = ANY (blg.artderflurstuecksgrenze)) 
+    AND blg.advstandardmodell ~~ 'DLKM'::text;
+
+COMMENT ON VIEW sk2018_bundeslandgrenze IS 'fuer Kartendarstellung: besondere FlurstÃŒcksgrenze "Bundeslandgrenze"';
+
+
+CREATE OR REPLACE VIEW sk2020_regierungsbezirksgrenze 
+AS 
+ SELECT rbg.ogc_fid, rbg.wkb_geometry
+   FROM ax_besondereflurstuecksgrenze rbg
+  WHERE (7103 = ANY (rbg.artderflurstuecksgrenze)) 
+    AND rbg.advstandardmodell ~~ 'DLKM'::text;
+
+COMMENT ON VIEW sk2020_regierungsbezirksgrenze IS 'fuer Kartendarstellung: besondere FlurstÃŒcksgrenze "Regierungsbezirksgrenze"';
+
 
 CREATE OR REPLACE VIEW sk2022_gemeindegrenze 
@@ -202,46 +269,35 @@
     AND gemg.advstandardmodell ~~ 'DLKM'::text;
 
-
-CREATE OR REPLACE VIEW sk2020_regierungsbezirksgrenze 
-AS 
- SELECT rbg.ogc_fid, rbg.wkb_geometry
-   FROM ax_besondereflurstuecksgrenze rbg
-  WHERE (7103 = ANY (rbg.artderflurstuecksgrenze)) 
-    AND rbg.advstandardmodell ~~ 'DLKM'::text;
-
-
-CREATE OR REPLACE VIEW sk2018_bundeslandgrenze 
-AS 
- SELECT blg.ogc_fid, blg.wkb_geometry
-   FROM ax_besondereflurstuecksgrenze blg
-  WHERE (7102 = ANY (blg.artderflurstuecksgrenze)) 
-    AND blg.advstandardmodell ~~ 'DLKM'::text;
-
-
-CREATE OR REPLACE VIEW sk2014_gemarkungsgrenze 
-AS 
- SELECT gemag.ogc_fid, gemag.wkb_geometry
-   FROM ax_besondereflurstuecksgrenze gemag
-  WHERE (7003 = ANY (gemag.artderflurstuecksgrenze)) 
-    AND gemag.advstandardmodell ~~ 'DLKM'::text;
-
-
---CREATE OR REPLACE VIEW sk2012_flurgrenze 
---AS 
--- SELECT fg.ogc_fid, fg.wkb_geometry
---   FROM ax_besondereflurstuecksgrenze fg
---  WHERE (3000 = ANY (fg.artderflurstuecksgrenze)) 
---    AND fg.advstandardmodell ~~ 'DLKM'::text;
-
--- Vorlaeufig, bis Schema umgestellt ist
-
-CREATE OR REPLACE VIEW sk2012_flurgrenze 
-AS 
- SELECT fg.ogc_fid, fg.wkb_geometry
-   FROM ax_besondereflurstuecksgrenze fg
-  WHERE (3000 = fg.artderflurstuecksgrenze) 
-    AND fg.advstandardmodell ~~ 'DLKM'::text;
-
--- comment ....
+COMMENT ON VIEW sk2022_gemeindegrenze IS 'fuer Kartendarstellung: besondere FlurstÃŒcksgrenze "Gemeindegrenze"';
+
+
+-- Zusammenfassung "Politische Grenzen"  Art= 7102, 7103, 7104, 7106
+
+-- Grenze der Bundesrepublik Deutschland 7101 (G)
+-- Grenze des Bundeslandes 7102 (G)
+-- Grenze des Regierungsbezirks 7103 (G)
+-- Grenze des Landkreises 7104 (G)
+-- Grenze der Gemeinde 7106
+-- Grenze des Gemeindeteils 7107
+-- Grenze der Verwaltungsgemeinschaft 7108
+
+CREATE OR REPLACE VIEW sk201x_politische_grenze 
+AS 
+ SELECT ogc_fid, artderflurstuecksgrenze as art, wkb_geometry
+   FROM ax_besondereflurstuecksgrenze
+
+-- WHERE ( ANY (artderflurstuecksgrenze) IN (7102,7103,7104,7106) ) 
+
+  WHERE (7102 = ANY (artderflurstuecksgrenze) 
+     OR  7102 = ANY (artderflurstuecksgrenze) 
+     OR  7103 = ANY (artderflurstuecksgrenze) 
+     OR  7104 = ANY (artderflurstuecksgrenze) 
+     OR  7106 = ANY (artderflurstuecksgrenze)
+    )
+    AND advstandardmodell ~~ 'DLKM'::text;
+
+COMMENT ON VIEW sk201x_politische_grenze IS 'fuer Kartendarstellung: besondere FlurstÃŒcksgrenze Politische Grenzen (Bund, Land, Kreis, Gemeinde)';
+-- GefÃ€llt mir nicht!
+-- Array-Felder eignen sich nicht als Filter. Optimierung: in Tabelle speichern
 
 
Index: /trunk/data/konvert/postnas_0.6/alkis_PostNAS_0.6_keytables.sql
===================================================================
--- /trunk/data/konvert/postnas_0.6/alkis_PostNAS_0.6_keytables.sql	(revision 152)
+++ /trunk/data/konvert/postnas_0.6/alkis_PostNAS_0.6_keytables.sql	(revision 153)
@@ -21,4 +21,7 @@
 --  2011-12-16  A.E. Mehrere neue Tabellen zum Bereich "Bodenschaetzung"
 --  2011-12-19  F.J. Neue Tabelle "ax_datenerhebung"
+--  2011-12-20  A.E. ax_sonstigesbauwerkodersonstigeeinrichtung_bauwerksfunktion
+--  2011-12-22  A.E. ax_bauteil_bauart
+
 
   SET client_encoding = 'UTF8';