Index: /trunk/data/mapbender/http/nav/alkisnav_grd.php
===================================================================
--- /trunk/data/mapbender/http/nav/alkisnav_grd.php	(revision 153)
+++ /trunk/data/mapbender/http/nav/alkisnav_grd.php	(revision 154)
@@ -5,4 +5,5 @@
 	14.12.2011 "window.open(..,width=680"
 	16.01.2012 Blattnummer in 2 Varianten suchen
+	17.01.2012 Blattnummer ohne Buchstabe in 3 Varianten suchen
 */
 import_request_variables("G");
@@ -51,11 +52,9 @@
 	} elseif ($zblatt == "") {
 		return 2; // Such Bezirk-NUMMER
-	} else  { // Format von Blatt pruefen
-	// Stand Jan. 2012: 2 gemischt vorkommende Formate in Blatt-Nr
-	// 1234567   Stelle
+	} else  { // Format von BlattNr pruefen
 	//'19'       linksbÃŒndig
-	//'19A'      .. mit Zusatz
-	//'000019 '  gefÃŒllt
-	//'000019A'  .. mit Zusatz
+	//'000019 '  gefÃŒllt 6 + blank
+	//'000019A'  .. mit Zusatzbuchstabe
+	//'0300001'  gefÃŒllt 7, bei Blattart 5000 "fiktives Blatt"
 		$len=strlen($zblatt);
 		if ($len > 0 AND $len < 8) {		
@@ -215,5 +214,5 @@
 	// Kennzeichen bestehend nur aus GB-Bezirk-SchlÃŒssel wurde eingegeben
 	global $con, $gkz, $gemeinde, $epsg, $debug, $zgbbez, $auskpath;
-	$linelimit=200; // max. Blatt je Bezirk
+	$linelimit=250; // max. Blatt je Bezirk
 	// Dies linelimit ist nicht ausreichend fuer alle Blaetter eines Bezirks, aber ...
 	// Wenn man die Blatt-Nr nicht kennt, kommt man hier sowieso nicht weiter.
@@ -288,5 +287,5 @@
 		if($cntbl >= $linelimit) {
 			echo "\n<p>... und weitere</p>";
-			echo "\n<p>Geben sie ein: '".$zgbbez."-999999A'<br>wobei '999999A' = gesuchtes GB-Blatt</p>";
+			echo "\n<p>Geben sie ein: '".$zgbbez."-999A'<br>wobei '999A' = gesuchtes GB-Blatt</p>";
 		}
 	}
@@ -298,10 +297,12 @@
 	global $con, $gkz, $debug, $zgbbez, $zblatt, $zblattn, $zblattz;
 	$sql ="SELECT b.gml_id, b.buchungsblattnummermitbuchstabenerweiterung AS blatt FROM ax_buchungsblatt b "; 
-	$sql.="WHERE b.bezirk= $1 AND b.buchungsblattnummermitbuchstabenerweiterung IN ( $2 , $3 );";
-
-	// Alternatives Suchformat mit 0en vorn und Blank statt Zusatz
-	$zblatt0v=str_pad($zblattn, 6, "0", STR_PAD_LEFT).str_pad($zblattz, 1, " ", STR_PAD_LEFT);
-
-	$v=array($zgbbez,$zblattn.$zblattz,$zblatt0v);
+	$sql.="WHERE b.bezirk= $1 AND b.buchungsblattnummermitbuchstabenerweiterung ";
+
+	if ($zblattz == "") { // Ohne Buchstabenerweiterung: Formate '123','000123 ','0000123'
+		$sql.="IN ('".$zblattn."','".str_pad($zblattn, 6, "0", STR_PAD_LEFT)." ','".str_pad($zblattn, 7, "0", STR_PAD_LEFT)."');";
+	} else { // Mit Buchstabenerweiterung: '000123A'
+		$sql.="='".str_pad($zblattn, 6, "0", STR_PAD_LEFT).$zblattz."';";
+	}
+	$v=array($zgbbez);
 	$res=pg_prepare("", $sql);
 	$res=pg_execute("", $v);
@@ -369,5 +370,4 @@
 		echo "\n<p class='err'>Keine Buchung gefunden.</p>";
 	} elseif($cntbu == 1) {
-		//echo "\n<p>genau EINE Buchung gefunden".$lfd."</p>";
 		$zbvnr=$lfd; // mit dieser BVNR gleich weiter machen
 		// Blatt zerteilen (benoetigt in gml_buchungsstelle)
@@ -391,10 +391,14 @@
 	$sql.="JOIN ax_buchungsblatt b ON b.gml_id=v.beziehung_zu "; 
 	$sql.="WHERE v.beziehungsart='istBestandteilVon' ";
-	$sql.="AND b.bezirk= $1 AND b.buchungsblattnummermitbuchstabenerweiterung IN ( $2, $3 ) AND s.laufendenummer= $4 ;";
-
-	// Alternatives Suchformat mit 0en vorn und Blank statt Zusatz
-	$zblatt0v=str_pad($zblattn, 6, "0", STR_PAD_LEFT).str_pad($zblattz, 1, " ", STR_PAD_LEFT);
-
-	$v=array($zgbbez, $zblattn.$zblattz, $zblatt0v, $zbvnr);
+	$sql.="AND b.bezirk= $1 AND b.buchungsblattnummermitbuchstabenerweiterung ";
+	if ($zblattz == "") { // Ohne Buchstabenerweiterung
+		//Formate '123','000123 ','0000123'
+		$sql.="IN ('".$zblattn."','".str_pad($zblattn, 6, "0", STR_PAD_LEFT)." ','".str_pad($zblattn, 7, "0", STR_PAD_LEFT)."')";
+	} else { // Mit Buchstabenerweiterung: '000123A'
+		$sql.="='".str_pad($zblattn, 6, "0", STR_PAD_LEFT).$zblattz."'";
+	}
+	$sql.=" AND s.laufendenummer= $2 ;";
+
+	$v=array($zgbbez, $zbvnr);
 	$res=pg_prepare("", $sql);
 	$res=pg_execute("", $v);
@@ -584,5 +588,5 @@
 			break;
 		case 9: // Fehler
-			echo "<p class='err'>Bitte ein Grundbuchkennzeichen eingegeben, Format 'gggg-999999A-llll</p>";
+			echo "<p class='err'>Bitte ein g&uuml;ltiges Grundbuchkennzeichen eingegeben, Format 'gggg-999999A-llll</p>";
 			break;
 	}