Index: trunk/data/umn/alkis06/alkis06_muster_4.map
===================================================================
--- trunk/data/umn/alkis06/alkis06_muster_4.map	(revision 156)
+++ trunk/data/umn/alkis06/alkis06_muster_4.map	(revision 160)
@@ -4,4 +4,5 @@
 # 2011-12-20 F.J. krz  Extent in alle Layer, Integrieren der Mapfiles des OBK (begonnen, weiter in Arbeit)
 # 2012-02-06 F.J. Layer angepasst an Bildschirm-Version
+# 2012-02-08 F.J. Noch ein paar Symbole aus Mapserver5-Version eleminiert
 
 # _4-Version ohne WFS ('DUMP TRUE', 'gml_include_items "all"')
@@ -346,5 +347,5 @@
 	GROUP "ax_nutzungen"
 	TYPE POLYGON
-	#DUMP TRUE # _4
+	REQUIRES "![nutzung_alle]"
 	CONNECTIONTYPE POSTGIS
 	CONNECTION "host=localhost dbname=alkis06*gkz* user=ms5 port=5432"
@@ -378,5 +379,5 @@
 	GROUP "ax_nutzungen"
 	TYPE POLYGON
-	#DUMP TRUE # _4
+	REQUIRES "![nutzung_alle]"
 	CONNECTIONTYPE POSTGIS
 	CONNECTION "host=localhost dbname=alkis06*gkz* user=ms5 port=5432"
@@ -410,5 +411,5 @@
 	GROUP "ax_nutzungen"
 	TYPE POLYGON
-	#DUMP TRUE # _4
+	REQUIRES "![nutzung_alle]"
 	CONNECTIONTYPE POSTGIS
 	CONNECTION "host=localhost dbname=alkis06*gkz* user=ms5 port=5432"
@@ -440,5 +441,5 @@
 	GROUP "ax_nutzungen"
 	TYPE POLYGON
-	#DUMP TRUE # _4
+	REQUIRES "![nutzung_alle]"
 	CONNECTIONTYPE POSTGIS
 	CONNECTION "host=localhost dbname=alkis06*gkz* user=ms5 port=5432"
@@ -469,5 +470,5 @@
 	GROUP "ax_nutzungen"
 	TYPE POLYGON
-	#DUMP TRUE # _4
+	REQUIRES "![nutzung_alle]"
 	CONNECTIONTYPE POSTGIS
 	CONNECTION "host=localhost dbname=alkis06*gkz* user=ms5 port=5432"
@@ -499,5 +500,5 @@
 	GROUP "ax_nutzungen"
 	TYPE POLYGON
-	#DUMP TRUE # _4
+	REQUIRES "![nutzung_alle]"
 	CONNECTIONTYPE POSTGIS
 	CONNECTION "host=localhost dbname=alkis06*gkz* user=ms5 port=5432"
@@ -531,5 +532,5 @@
 	GROUP "ax_nutzungen"
 	TYPE POLYGON
-	#DUMP TRUE # _4
+	REQUIRES "![nutzung_alle]"
 	CONNECTIONTYPE POSTGIS
 	CONNECTION "host=localhost dbname=alkis06*gkz* user=ms5 port=5432"
@@ -561,5 +562,5 @@
 	GROUP "ax_nutzungen"
 	TYPE POLYGON
-	#DUMP TRUE # _4
+	REQUIRES "![nutzung_alle]"
 	CONNECTIONTYPE POSTGIS
 	CONNECTION "host=localhost dbname=alkis06*gkz* user=ms5 port=5432"
@@ -592,5 +593,5 @@
 	GROUP "ax_nutzungen"
 	TYPE POLYGON
-	#DUMP TRUE # _4
+	REQUIRES "![nutzung_alle]"
 	CONNECTIONTYPE POSTGIS
 	CONNECTION "host=localhost dbname=alkis06*gkz* user=ms5 port=5432"
@@ -626,5 +627,5 @@
 	GROUP "ax_nutzungen"
 	TYPE POLYGON
-	#DUMP TRUE # _4
+	REQUIRES "![nutzung_alle]"
 	CONNECTIONTYPE POSTGIS
 	CONNECTION "host=localhost dbname=alkis06*gkz* user=ms5 port=5432"
@@ -689,5 +690,5 @@
 	GROUP "ax_nutzungen"
 	TYPE POLYGON
-	#DUMP TRUE # _4
+	REQUIRES "![nutzung_alle]"
 	CONNECTIONTYPE POSTGIS
 	CONNECTION "host=localhost dbname=alkis06*gkz* user=ms5 port=5432"
@@ -719,5 +720,5 @@
 	GROUP "ax_nutzungen"
 	TYPE POLYGON
-	#DUMP TRUE # _4
+	REQUIRES "![nutzung_alle]"
 	CONNECTIONTYPE POSTGIS
 	CONNECTION "host=localhost dbname=alkis06*gkz* user=ms5 port=5432"
@@ -747,5 +748,4 @@
 		NAME "Platz" #sn2515
 		STYLE
-		#	COLOR -1 -1 -1 #?
 			OUTLINECOLOR 153 153 153
 		END
@@ -758,5 +758,5 @@
 	GROUP "ax_nutzungen"
 	TYPE POLYGON
-	#DUMP TRUE # _4
+	REQUIRES "![nutzung_alle]"
 	CONNECTIONTYPE POSTGIS
 	CONNECTION "host=localhost dbname=alkis06*gkz* user=ms5 port=5432"
@@ -789,5 +789,5 @@
 	GROUP "ax_nutzungen"
 	TYPE POLYGON
-	#DUMP TRUE # _4
+	REQUIRES "![nutzung_alle]"
 	CONNECTIONTYPE POSTGIS
 	CONNECTION "host=localhost dbname=alkis06*gkz* user=ms5 port=5432"
@@ -820,5 +820,5 @@
 	GROUP "ax_nutzungen"
 	TYPE POLYGON
-	#DUMP TRUE # _4
+	REQUIRES "![nutzung_alle]"
 	CONNECTIONTYPE POSTGIS
 	CONNECTION "host=localhost dbname=alkis06*gkz* user=ms5 port=5432"
@@ -853,5 +853,5 @@
 	GROUP "ax_nutzungen"
 	TYPE POLYGON
-	#DUMP TRUE # _4
+	REQUIRES "![nutzung_alle]"
 	CONNECTIONTYPE POSTGIS
 	CONNECTION "host=localhost dbname=alkis06*gkz* user=ms5 port=5432"
@@ -903,5 +903,4 @@
 	GROUP "ax_nutzungen"
 	TYPE POLYGON
-	#DUMP TRUE # _4
 	CONNECTIONTYPE POSTGIS
 	CONNECTION "host=localhost dbname=alkis06*gkz* user=ms5 port=5432"
@@ -911,5 +910,4 @@
 		wms_title "Wald"
 		wms_abstract "'Wald' ist eine FlÃ€che, die mit Forstpflanzen (WaldbÃ€ume und WaldstrÃ€ucher) bestockt ist."
-		#gml_include_items "all"
 	END
 	PROJECTION
@@ -933,5 +931,4 @@
 	GROUP "ax_nutzungen"
 	TYPE POLYGON
-	#DUMP TRUE # _4
 	CONNECTIONTYPE POSTGIS
 	CONNECTION "host=localhost dbname=alkis06*gkz* user=ms5 port=5432"
@@ -941,5 +938,4 @@
 		wms_title "GehÃ¶lz"
 		wms_abstract "GehÃ¶lz"
-		#gml_include_items "all"
 	END
 	PROJECTION
@@ -952,6 +948,6 @@
 		NAME "Gehoelz" #sn1414_sn2517
 		STYLE
-			COLOR 187 222 201 # 217 255 217 ?
-			OUTLINECOLOR  153 153 153 # 0 255 0 ?
+			COLOR 187 222 201
+			OUTLINECOLOR  153 153 153
 		END
 	END
@@ -963,5 +959,4 @@
 	GROUP "ax_nutzungen"
 	TYPE POLYGON
-	#DUMP TRUE # _4
 	CONNECTIONTYPE POSTGIS
 	CONNECTION "host=localhost dbname=alkis06*gkz* user=ms5 port=5432"
@@ -971,5 +966,4 @@
 		wms_title "Heide"
 		wms_abstract "Heide"
-		#gml_include_items "all"
 	END
 	PROJECTION
@@ -993,5 +987,4 @@
 	GROUP "ax_nutzungen"
 	TYPE POLYGON
-	#DUMP TRUE # _4
 	CONNECTIONTYPE POSTGIS
 	CONNECTION "host=localhost dbname=alkis06*gkz* user=ms5 port=5432"
@@ -1001,5 +994,4 @@
 		wms_title "Moor"
 		wms_abstract "Moor ist eine unkultivierte FlÃ€che, deren obere Schicht aus vertorften oder zersetzten Pflanzenresten besteht. Torfstich bzw. TorfabbauflÃ€che wird der Objektart 41005 'Tagebau, Grube, Steinbruch' mit AGT 'Torf' zugeordnet."
-		#gml_include_items "all"
 	END
 	PROJECTION
@@ -1010,5 +1002,5 @@
 	MAXSCALEDENOM 1250 #5000
 	CLASS
-		NAME "Moor" # sn1404_sn2515_sn3476 Symbol fehlt
+		NAME "Moor" # sn1404_sn2515_sn3476
 		STYLE
 			COLOR 242 235 232
@@ -1023,5 +1015,4 @@
 	GROUP "ax_nutzungen"
 	TYPE POLYGON
-	#DUMP TRUE # _4
 	CONNECTIONTYPE POSTGIS
 	CONNECTION "host=localhost dbname=alkis06*gkz* user=ms5 port=5432"
@@ -1031,5 +1022,4 @@
 		wms_title "Sumpf"
 		wms_abstract "Sumpf"
-		#gml_include_items "all"
 	END
 	PROJECTION
@@ -1055,5 +1045,5 @@
 	GROUP "ax_nutzungen"
 	TYPE POLYGON
-	#DUMP TRUE # _4
+	REQUIRES "![nutzung_alle]"
 	CONNECTIONTYPE POSTGIS
 	CONNECTION "host=localhost dbname=alkis06*gkz* user=ms5 port=5432"
@@ -1063,5 +1053,4 @@
 		wms_title "Unland"
 		wms_abstract "Unland, vegetationslose FlÃ€che"
-		#gml_include_items "all"
 	END
 	PROJECTION
@@ -1085,5 +1074,5 @@
 	GROUP "ax_nutzungen"
 	TYPE POLYGON
-	#DUMP TRUE # _4
+	REQUIRES "![nutzung_alle]"
 	CONNECTIONTYPE POSTGIS
 	CONNECTION "host=localhost dbname=alkis06*gkz* user=ms5 port=5432"
@@ -1093,5 +1082,4 @@
 		wms_title "Vegetationsmerkmal"
 		wms_abstract "'Vegetationsmerkmal' beschreibt den zusÃ€tzlichen Bewuchs oder besonderen Zustand einer GrundflÃ€che."
-		#gml_include_items "all"
 	END
 	PROJECTION
@@ -1117,5 +1105,5 @@
 	GROUP "ax_nutzungen"
 	TYPE POLYGON
-	#DUMP TRUE # _4
+	REQUIRES "![nutzung_alle]"
 	CONNECTIONTYPE POSTGIS
 	CONNECTION "host=localhost dbname=alkis06*gkz* user=ms5 port=5432"
@@ -1125,5 +1113,4 @@
 		wms_title "FlieÃgewÃ€sser"
 		wms_abstract "FlieÃgewÃ€sser"
-		#gml_include_items "all"
 	END
 	PROJECTION
@@ -1147,5 +1134,5 @@
 	GROUP "ax_nutzungen"
 	TYPE POLYGON
-	#DUMP TRUE # _4
+	REQUIRES "![nutzung_alle]"
 	CONNECTIONTYPE POSTGIS
 	CONNECTION "host=localhost dbname=alkis06*gkz* user=ms5 port=5432"
@@ -1155,5 +1142,4 @@
 		wms_title "Hafenbecken"
 		wms_abstract "Hafenbecken' ist ein natÃŒrlicher oder kÃŒnstlich angelegter oder abgetrennter Teil eines GewÃ€ssers, in dem Schiffe be- und entladen werden."
-		#gml_include_items "all"
 	END
 	PROJECTION
@@ -1177,5 +1163,5 @@
 	GROUP "ax_nutzungen"
 	TYPE POLYGON
-	#DUMP TRUE # _4
+	REQUIRES "![nutzung_alle]"
 	CONNECTIONTYPE POSTGIS
 	CONNECTION "host=localhost dbname=alkis06*gkz* user=ms5 port=5432"
@@ -1185,5 +1171,4 @@
 		wms_title "stehendes GewÃ€sser"
 		wms_abstract "stehendes GewÃ€sser"
-		#gml_include_items "all"
 	END
 	PROJECTION
@@ -1205,7 +1190,4 @@
 # ++ fehlt ++
 
-#####
-
-# +++ Der Rest gehoert wahrscheinlich nicht zu "Nutzung" sondern zu "Bauwerke & Co." ?
 
 # Besondere Angaben zum GewÃ€sser
@@ -1347,8 +1329,7 @@
 		NAME "Natur, Umwelt oder Bodenschutzrecht" # sn1703
 		STYLE
-		#	COLOR -1 -1 -1 #?
 			OUTLINECOLOR 128 255 128
-			SYMBOL "sn1703"
-			SIZE 11.34 #2.835
+			WIDTH 12 # 3
+			PATTERN 45 11.4 END # 11.34 2.85
 		END
 	END
@@ -1373,14 +1354,13 @@
 	END
 	EXTENT 349000 5529000 356000 5533000
-	MINSCALEDENOM 0
+	MINSCALEDENOM 12 # 50
 	MAXSCALEDENOM 2500 #10000
 #	CLASSITEM 'artderfestlegung'
-	CLASS
-		NAME "Andere Festlegung nach Wasserrecht" # sn1705
-		STYLE
-			SYMBOL "sn1705"
-		#	COLOR -1 -1 -1 #?
+	CLASS #sn1705
+		NAME "Andere Festlegung nach Wasserrecht" 
+		STYLE
 			OUTLINECOLOR 178 255 255
-			SIZE 11.34 #2.835
+			WIDTH 12 #3
+			PATTERN 45 11.4 END # 11.34 2.85
 		END
 	END
@@ -1388,7 +1368,4 @@
 #		NAME "Festgesetztes Ãberschwemmungsgebiet" # sn7859 Schriftzusatz
 #		EXPRESSION ([artderfestlegung] = 1441)
-#		LABEL
-#			TYPE TRUETYPE
-#			FONTS 'arial'
 #			COLOR 178 255 255
 #	END
@@ -1399,5 +1376,4 @@
 	GROUP "recht"
 	TYPE POLYGON
-	#DUMP TRUE # _4
 	CONNECTIONTYPE POSTGIS
 	CONNECTION "host=localhost dbname=alkis06*gkz* user=ms5 port=5432"
@@ -1407,11 +1383,10 @@
 		wms_title "Bau-, Raum- oder Bodenordnungsrecht"
 		wms_abstract "'Bau-, Raum- oder Bodenordnungsrecht' ist ein fachlich ÃŒbergeordnetes Gebiet von FlÃ€chen mit bodenbezogenen BeschrÃ€nkungen, Belastungen oder anderen Eigenschaften nach Ã¶ffentlichen Vorschriften."
-		#gml_include_items "all"
-	END
-	PROJECTION
-		"init=epsg:25832"
-	END
-	EXTENT 349000 5529000 356000 5533000
-	MINSCALEDENOM 0
+	END
+	PROJECTION
+		"init=epsg:25832"
+	END
+	EXTENT 349000 5529000 356000 5533000
+	MINSCALEDENOM 12 #50
 	MAXSCALEDENOM 2500 #10000
 	SYMBOLSCALEDENOM 250 # 1000
@@ -1423,10 +1398,8 @@
 		NAME "Baulast"
 		TEXT "Baulast"
-		STYLE
+		STYLE #sn1704
 			OUTLINECOLOR 255 128 128
-			SYMBOL "sn1704"
-			SIZE 11.34 # 2.835
-			MINSIZE 8 #2
-			MAXSIZE 20 #5
+			WIDTH 12 MINWIDTH 8 MAXWIDTH 20 # 3 2 5
+			PATTERN 44 12 END # 11 3
 		END
 		LABEL # in die Flaeche
@@ -1447,12 +1420,4 @@
 		EXPRESSION ([artderfestlegung] ge 2100 and [artderfestlegung] le 2199) # Rest der Gruppe
 		NAME "Flurbereinigung"
-		#TEXT "Flurbereinigung" # nur Test
-		STYLE
-			OUTLINECOLOR 255 128 128
-			SYMBOL "sn1704"
-			SIZE 11.34 #2.835
-			MINSIZE 8 #2
-			MAXSIZE 20 #5
-		END
 		STYLE
 			COLOR 100 100 100 # grau 40%
@@ -1460,5 +1425,10 @@
 			SIZE 60 #15
 			MINSIZE 40 #10
-			MAXSIZE 80 #20
+			MAXSIZE 100 #25
+		END
+		STYLE # "sn1704"
+			OUTLINECOLOR 255 128 128
+			WIDTH 12 MINWIDTH 8 MAXWIDTH 20 # 3 2 5
+			PATTERN 48 12 END # 12 3
 		END
 	END
@@ -1468,10 +1438,8 @@
 		NAME "Umlegung"
 		TEXT "Umlegung" # nur Test
-		STYLE
+		STYLE # "sn1704"
 			OUTLINECOLOR 255 128 128
-			SYMBOL "sn1704"
-			SIZE 11.34 #2.835
-			MINSIZE 8 #2
-			MAXSIZE 20 #5
+			WIDTH 12 MINWIDTH 8 MAXWIDTH 20 # 3 2 5
+			PATTERN 44 12 END # 11 3
 		END
 		STYLE
@@ -1498,10 +1466,8 @@
 		EXPRESSION /./
 		NAME "Bau-, Raum oder Bodenordnungsrecht"
-		STYLE
+		STYLE # sn1704
 			OUTLINECOLOR 255 128 128
-			SYMBOL "sn1704"
-			SIZE 11.34 #2.835
-			MINSIZE 8 #2
-			MAXSIZE 20 #5
+			WIDTH 12 MINWIDTH 8 MAXWIDTH 15 # 3 2 5
+			PATTERN 44 12 END # 11 3
 		END
 	END
@@ -1561,12 +1527,10 @@
 		NAME "Freileitung" # sn1704_sn7881 Schriftzusatz fehlt
 		EXPRESSION ([artderfestlegung] = 4720)
-		STYLE
-			SYMBOL "sn1704"
-		#	COLOR -1 -1 -1 #?
+		STYLE #sn1704
+			PATTERN 45.3 11.4 END # 11.34 2.85
 			OUTLINECOLOR 255 128 128
 		END
 	END
 END
-
 
 # ALKIS GebÃ€ude
@@ -1939,6 +1903,5 @@
 			SIZE 60 # 15
 		END
-		STYLE # verschwindet >1:300
-		#	SYMBOL 'point' #sn2032
+		STYLE #sn2032 verschwindet >1:300
 			OUTLINECOLOR 0 0 0
 			WIDTH 4 MINWIDTH 4 MAXWIDTH 12 # 1 1 3
@@ -2118,5 +2081,5 @@
 	END
 	EXTENT 349000 5529000 356000 5533000
-	MINSCALEDENOM 0
+	MINSCALEDENOM 12 #50
 	MAXSCALEDENOM 1000 #4000
 
@@ -2324,8 +2287,6 @@
 	CLASS
 		NAME "BrÃŒcke" # sn1530
-		STYLE
-		#	COLOR -1 -1 -1 #?
+		STYLE # sn1530
 			OUTLINECOLOR 128 128 128
-			SYMBOL "sn1530"
 			SIZE 5.67 #1.417
 		END
@@ -2536,6 +2497,7 @@
 		EXPRESSION ([bauwerksfunktion] = 1111)
 		STYLE
-			SYMBOL "sn2523"
+			SYMBOL 'point' #sn2523
 			COLOR 0 0 0
+			PATTERN 4 4 END # 1 1
 		END
 	END
@@ -2626,5 +2588,4 @@
 	GROUP "flurstueck"
 	TYPE POLYGON
-	#DUMP TRUE # _4
 	CONNECTIONTYPE POSTGIS
 	CONNECTION "host=localhost dbname=alkis06*gkz* user=ms5 port=5432"
@@ -2644,20 +2605,10 @@
 	MINSCALEDENOM 0
 	MAXSCALEDENOM 2500 #10000
-	#feature Info - bei ALK an FlurstÃŒckskennzeichen (Text), hier an FlÃ€che
-#	TOLERANCEUNITS pixels
-#	TOLERANCE 1
-	# klassische Variante mit Javascript-Schaltflaeche fuer Weiterleitung zur Auskunft
-#	HEADER   "/data/umn/templates/alkis*gkz*fsh.html" # gkz = mandant
-#	TEMPLATE "/data/umn/templates/alkis_fs.html"
-	# Variante mit Inlay (ein iframe enthaelt einen php-Aufruf) 
-#	HEADER   "/data/umn/templates/alkisausk_inlh.html" 
-#	TEMPLATE "/data/umn/templates/alkisausk_inl*gkz*.html" # gkz = mandant
-	#
-#	FOOTER   "/data/umn/templates/footer.html"
+	SYMBOLSCALEDENOM 250 #1000
 	CLASS
 		NAME "FlurstÃŒck"
 		STYLE
-		#	COLOR -1 -1 -1 #?
-			OUTLINECOLOR 0 0 0
+			OUTLINECOLOR 0 0 0
+			WIDTH 8 MINWIDTH 4 MAXWIDTH 12 # 2 1 3
 		END
 	END
@@ -2686,33 +2637,4 @@
 	SYMBOLSCALEDENOM 250 #1000
 	CLASSITEM "artderflurstuecksgrenze"
-
-#	CLASS
-#		EXPRESSION "3000"
-#		NAME "Grenze der Flur"
-#		STYLE
-#			#SYMBOL 'sn2012' # noch nicht definiert
-#			SYMBOL 'sn2006' # eigentlich falsch
-#			COLOR 50 0 0
-#			SIZE 4 # 1
-#		END
-#	END
-#	CLASS
-#		EXPRESSION "1000"
-#		NAME "Strittige Grenze"
-#		STYLE
-#			SYMBOL 'sn2006'
-#			COLOR 0 0 0
-#			SIZE 4 # 1
-#		END
-#	END
-#	CLASS
-#		EXPRESSION /./ # Else
-#		NAME "Besondere FlurstÃŒcksgrenze"
-#		STYLE
-#			SYMBOL 'sn2006'
-#			COLOR 0 0 0
-#			SIZE 4 # 1
-#		END
-#	END
 
 	CLASS
@@ -3079,5 +3001,5 @@
 		NAME "Grenzpunkt"
 		STYLE
-			SYMBOL "sn3020"	#sn3020
+			SYMBOL 'point' #"sn3020"
 			SIZE 28 #7
 			COLOR 255 255 255
@@ -3237,30 +3159,198 @@
 # fehlt noch
 
-	LAYER
-		NAME "copyright"
-		STATUS ON # DEFAULT
-		TYPE annotation
-		TRANSFORM lr
-		METADATA
-			wms_title "Copyright"
-			wms_abstract "In der Karte sichtbare Angabe auf die Herkunft der Daten"
-			WMS_KEYWORDLIST "Katasteramt, Copyright, Quellenangabe"
-			wms_srs "epsg:31467 epsg:4326 epsg:25832 epsg:54004"
-		END
-		FEATURE
-			POINTS 0 0 END
-			# hier fuer den Kreis Lippe die individuelle Vertragsnummer einsetzen!
-		#	TEXT 'Copyright Geobasisdaten Liegenschaftskataster Kreis Lippe, JJ-NZR-???'
-			TEXT 'Copyright Geobasisdaten Liegenschaftskataster Kreis __'
-		END
-		CLASS
-			LABEL
-				SIZE small
-				POSITION ul
-				COLOR 50 50 50
-				FORCE TRUE
+#### Gruppe  G r e n z e n
+
+# Politische Grenzen:
+# Grenze der Bundesrepublik Deutschland 7101 (G)
+# Grenze des Bundeslandes 7102 (G)
+# Grenze des Regierungsbezirks 7103 (G)
+# Grenze des Landkreises 7104 (G)
+# Grenze der Gemeinde 7106
+# Grenze des Gemeindeteils 7107
+# Grenze der Verwaltungsgemeinschaft 7108
+LAYER
+	NAME 'pol_Grenze' # Abdeckung der darunter liegenden Flur- und Gemarkungsgrenze
+	GROUP 'grenzen'
+	TYPE LINE
+	STATUS ON
+	METADATA
+		wms_group_title "Grenzen"
+		wms_group_abstract "Grenzen von Katasterbezirken und politische Grenzen"
+
+		wms_title "Politische Grenze"
+		wms_srs "epsg:31467 epsg:4326 epsg:25832 epsg:54004"
+		wms_abstract "ALKIS TextfÃ¶rmiges PrÃ€sentationsobjekt mit punktfÃ¶rmiger Textgeometrie PTO"
+		#gml_include_items "all"
+	END
+	PROJECTION
+		"init=epsg:25832"
+	END
+	EXTENT 349000 5529000 356000 5533000
+	MINSCALEDENOM 62 # 250
+	MAXSCALEDENOM 3000 #12000
+	#SYMBOLSCALEDENOM 1000
+	CONNECTIONTYPE POSTGIS
+	CONNECTION "host=localhost dbname=alkis06*gkz* user=ms5 port=5432"
+	DATA 'wkb_geometry from (SELECT * FROM sk201x_politische_grenze) as foo using unique ogc_fid using SRID=25832'
+	CLASSITEM 'art' # Art der besonderen Grundstuecksgrenze  IST EIN ARRAY! z.B.  {3000,7106}
+	CLASS
+		NAME 'Bundeslandgrenze'
+		EXPRESSION /7102/ # reg. Expr.
+		STYLE
+			COLOR 255 255 255
+			WIDTH 28 MINWIDTH 28 MAXWIDTH 28 # 7 7 7
+		END
+		STYLE #sn2018
+			SYMBOL 'point'
+			COLOR 242 128 255
+			SIZE 28 MINSIZE 28 MAXSIZE 28 # 7 7 7
+			PATTERN 10 60 20 60 108 48 108 60 END #5 15 5 15 27 12 27 15
+		END
+	END
+	CLASS
+		NAME 'Regierungsbezirksgrenze'
+		EXPRESSION /7103/
+		STYLE
+			COLOR 255 255 255
+			WIDTH 5 MINWIDTH 5 MAXWIDTH 5
+		END
+		STYLE #sn2020 Kreisgrenze
+			SYMBOL 'point' 
+			COLOR 242 128 255
+			SIZE 20 MINSIZE 20 MAXSIZE 20 # 5 5 5
+			PATTERN 16 60 16 60 100 40 100 52 END #4 15 4 15 25 10 25 13
+		END
+	END
+	CLASS
+		NAME 'Kreisgrenze'
+		EXPRESSION /7104/
+		STYLE
+			COLOR 255 255 255
+			WIDTH 20 MINWIDTH 20 MAXWIDTH 20 # 5 5 5
+		END
+		STYLE
+			SYMBOL 'point' #sn2010 Kreisgrenze
+			COLOR 242 128 255 
+			SIZE 20 MINSIZE 20 MAXSIZE 20 # 5 5 5
+			PATTERN 93 50 20 60 20 50 END # 23.33 12.5 5 15 5 12.5
+		END
+	END
+	CLASS
+		NAME 'Gemeindegrenze'
+		EXPRESSION /7106/
+		STYLE
+			COLOR 255 255 255
+			WIDTH 16 MINWIDTH 16 MAXWIDTH 16 #4 4 4
+		END
+		STYLE
+			SYMBOL 'point' #sn2022 Gemeindegrenze
+			COLOR 242 128 255
+			SIZE 16 MINSIZE 16 MAXSIZE 16 # 4 4 4
+			PATTERN 67 33 13.3 33 END # 16.67 8.33 3.33 8.33
+		END
+	END
+END
+
+LAYER
+	NAME 'gemarkungsrenze'
+	GROUP 'grenzen'
+	TYPE LINE
+	STATUS ON
+	METADATA
+		wms_title "Gemarkungsrenze"
+		wms_srs "epsg:31467 epsg:4326 epsg:25832 epsg:54004"
+		wms_abstract "ALKIS TextfÃ¶rmiges PrÃ€sentationsobjekt mit punktfÃ¶rmiger Textgeometrie PTO"
+		#gml_include_items "all"
+	END
+	PROJECTION
+		"init=epsg:25832"
+	END
+	EXTENT 349000 5529000 356000 5533000
+	MINSCALEDENOM 50 # 200
+	MAXSCALEDENOM 2500 # 10000
+	SYMBOLSCALEDENOM 250 # 1000
+	CONNECTIONTYPE POSTGIS
+	CONNECTION "host=localhost dbname=alkis06*gkz* user=ms5 port=5432"
+	DATA 'wkb_geometry from (SELECT * FROM sk2014_gemarkungsgrenze) as foo using unique ogc_fid using SRID=25832'
+	CLASS
+		NAME 'Gemarkungsgrenze'
+		STYLE
+			SYMBOL 'point'
+			COLOR 254 254 254 # heller Untergrund (FlurstÃŒcksgrenze ÃŒbermalen)
+			SIZE 4 MINSIZE 3 MAXSIZE 6
+		END
+		STYLE
+			SYMBOL 'point' #sn2014
+			COLOR 242 128 255
+			SIZE 16 MINSIZE 12 MAXSIZE 24 # 4 3 6
+			PATTERN 67 33 13.3 33 END # 16.67 8.33 3.33 8.33
+		END
+	END
+END
+
+LAYER
+	NAME 'flurgrenze'
+	GROUP 'grenzen'
+	TYPE LINE
+	METADATA
+		wms_title "Flurgrenze"
+		wms_srs "epsg:31467 epsg:4326 epsg:25832 epsg:54004"
+		wms_abstract "ALKIS TextfÃ¶rmiges PrÃ€sentationsobjekt mit punktfÃ¶rmiger Textgeometrie PTO"
+		#gml_include_items "all"
+	END
+	PROJECTION
+		"init=epsg:25832"
+	END
+	EXTENT 349000 5529000 356000 5533000
+	MINSCALEDENOM 12 # 50
+	MAXSCALEDENOM 1250 #5000
+	SYMBOLSCALEDENOM 250 #1000
+	CONNECTIONTYPE POSTGIS
+	CONNECTION "host=localhost dbname=alkis06*gkz* user=ms5 port=5432"
+	DATA 'wkb_geometry from (SELECT * FROM sk2012_flurgrenze) as foo using unique ogc_fid using SRID=25832'
+	CLASS
+		NAME 'Flurgrenze'
+		STYLE
+			SYMBOL 'point'
+			COLOR 254 254 254 # heller Untergrund
+			SIZE 16 MINSIZE 12 MAXSIZE 20 # 4 3 5
+		END
+		STYLE #sn2012
+			SYMBOL 'point'
+			COLOR 242 128 255
+			SIZE 16 MINSIZE 12 MAXSIZE 20 # 4 3 5
+			PATTERN 67 33 13 40 13 40 13 33 END #16.67 8.33 3.33 10 3.33 10 3.33 8.33
+		END
+	END
+END
+
+LAYER
+	NAME "copyright"
+	STATUS ON # DEFAULT
+	TYPE annotation
+	TRANSFORM lr
+	METADATA
+		wms_title "Copyright"
+		wms_abstract "In der Karte sichtbare Angabe auf die Herkunft der Daten"
+		WMS_KEYWORDLIST "Katasteramt, Copyright, Quellenangabe"
+		wms_srs "epsg:31467 epsg:4326 epsg:25832 epsg:54004"
+	END
+	FEATURE
+		POINTS 0 0 END
+		# hier die individuelle Vertragsnummer einsetzen
+		TEXT 'Copyright Geobasisdaten Liegenschaftskataster Kreis __'
+	END
+	CLASS
+		LABEL
+			SIZE small # x4 ?
+			POSITION ul
+			COLOR 50 50 50
+			FORCE TRUE
+			STYLE # bbox ms 6.0
+				GEOMTRANSFORM 'labelpoly'
+				COLOR 250 250 250
 			END
 		END
 	END
-
-END
+END
+END