Index: trunk/data/konvert/postnas_0.6/konvertierung_kommandos_beispiele.txt
===================================================================
--- trunk/data/konvert/postnas_0.6/konvertierung_kommandos_beispiele.txt	(revision 164)
+++ trunk/data/konvert/postnas_0.6/konvertierung_kommandos_beispiele.txt	(revision 165)
@@ -2,5 +2,5 @@
 Beispiele fÃŒr die PostNAS Konvertierung von der Linux-Konsole.
 
-Es werden nicht die Shell-Scripet verwendet, die im Dialog die Parameter abfragen,
+Es werden nicht die Shell-Scripte verwendet, die im Dialog die Parameter abfragen,
 sondern die davon aufgerufenen Shell-Scripte, die angehÃ€ngte Parameter erwarten.
 Diese Kommandos wÃŒrden z.B. fÃŒr nÃ€chtliche LÃ€ufe verwendet.
@@ -9,4 +9,5 @@
 Version:
  2011-11-04  "konv_batch.sh" nun ohne DB-User-ID und DB-Passwort
+ 2012-02-28  4. Parameter Post-Processing 'pp' oder 'nopp'
 
 gkz = 290
@@ -15,20 +16,21 @@
 
 Kommandos zum Konvertieren:
+---------------------------
 
 Packen:
-/data/konvert/postnas_0.6/zip_ordner.sh /data/nas_daten/290/0003
+ /data/konvert/postnas_0.6/zip_ordner.sh /data/nas_daten/290/0003
 
 Neu-Laden:
-/data/konvert/postnas_0.6/konv_batch.sh /data/nas_daten/290/0000 alkis06290_neu e 
+ /data/konvert/postnas_0.6/konv_batch.sh /data/nas_daten/290/0000 alkis06290_neu e  pp
 
 
 Datenbank-Tausch nach Neu-Laden:
-  Alter Database alkis06290      rename to  alkis06290_alt;
-  Alter Database alkis06290_neu  rename to  alkis06290;
+ Alter Database alkis06290      rename to  alkis06290_alt;
+ Alter Database alkis06290_neu  rename to  alkis06290;
 
 Aktualisieren:
-/data/konvert/postnas_0.6/konv_batch.sh /data/nas_daten/290/0002 alkis06290 a
-/data/konvert/postnas_0.6/konv_batch.sh /data/nas_daten/290/0003 alkis06290 a
+ /data/konvert/postnas_0.6/konv_batch.sh /data/nas_daten/290/0002 alkis06290 a  nopp
+ /data/konvert/postnas_0.6/konv_batch.sh /data/nas_daten/290/0003 alkis06290 a  pp
 
 Kontrolle:
-less /data/konvert/postnas_0.6/log/postnas_err.prot
+ less /data/konvert/postnas_0.6/log/postnas_err.prot
Index: trunk/data/konvert/postnas_0.6/konv_batch.sh
===================================================================
--- trunk/data/konvert/postnas_0.6/konv_batch.sh	(revision 164)
+++ trunk/data/konvert/postnas_0.6/konv_batch.sh	(revision 165)
@@ -27,6 +27,7 @@
 ##                 Dort Zeile: "local  [db]  [user]  ident sameuser"
 ##       Alt:    # PG:"dbname=${DBNAME} user=${DBUSER} password=${DBPASS} host=localhost port=5432"
-##      2011-11-21 Korrektur: UPD=$3 nicht $4
+##      2011-11-22 Korrektur: UPD=$3 nicht $4
 ##                 Protokollierung nach Datenbanken getrennt
+##      2012-02-28 Neuer Parameter um Post-Prozessing zu unterdrücken
 ##
 ## Konverter:   /opt/gdal-1.9/bin/ = GDAL 1.9 / PostNAS 0.6
@@ -41,15 +42,13 @@
 DBNAME=$2
 UPD=$3
-## Fehlerprotokoll
-errprot='/data/konvert/postnas_0.6/log/postnas_err_${DBNAME}.prot'
-## ! Bei parallelen Konvertierungen sollte die Ausgabe in getrennte Logfiles ausgegeben werden.
+PP=$4
 if [ $ORDNER == "" ]
 then
-	echo "Parameter 1 'Ordner' ist leer"
+	echo "FEHLER: Parameter 1 'Ordner' ist leer"
 	exit 1
 fi
 if [ $DBNAME == "" ]
 then
-	echo "Parameter 2 'Datenbank' ist leer"
+	echo "FEHLER: Parameter 2 'Datenbank' ist leer"
 	exit 2
 fi
@@ -64,10 +63,24 @@
 		update=""
 	else
-		echo "Parameter 3 'Aktualisierung' ist weder e noch a"
+		echo "FEHLER: Parameter 3 'Aktualisierung' ist weder e noch a"
 		exit 3
+	fi
+fi
+if [ $PP == "nopp" ]
+then
+	echo "KEIN Post-Processing nach dieser Konvertierung."
+else
+	if [ $PP == "pp" ]
+	then
+		echo "normales Post-Processing."
+	else
+		echo "FEHLER: Parameter 4 'Post-Proscessing' ist weder 'nopp' noch 'pp'"
+		exit 4
 	fi
 fi
 layer=""
 # leer = alle Layer
+## Fehlerprotokoll:
+errprot='/data/konvert/postnas_0.6/log/postnas_err_'$DBNAME'.prot'
 #
 # DB-Connection
@@ -96,5 +109,5 @@
     # Zwischenueberschrift im Fehlerprotokoll
     echo "* Datei: " $nasdatei >> $errprot
-    if [ $UPD -eq "e" ]
+    if [ $UPD == "e" ]
     then
       # E R S T L A D E N
@@ -136,9 +149,16 @@
 echo "** Ende Konvertierung Ordner ${ORDNER}"
 ##
-echo "** Optimierte Nutzungsarten neu Laden:"
-psql -p 5432 -d ${DBNAME} < /data/konvert/postnas_0.6/nutzungsart_laden.sql
-##
-echo "** Optimierte Gemeindetabelle neu Laden:"
-psql -p 5432 -d ${DBNAME} < /data/konvert/postnas_0.6/gemeinden_laden.sql
+if [ $PP == "nopp" ]
+then
+  echo "** KEIN Post-Processing - Dies Spaeter nachholen."
+  # Dies kann sinnvoll sein, wenn mehrere kleine Aktualisierungen hintereinander auf einem großen Bestand laufen
+  # Der Aufwand für das Post-Processing ist dann nur bei der LETZTEN Aktualisierung notwendig.
+else
+  echo "** Optimierte Nutzungsarten neu Laden:"
+  psql -p 5432 -d ${DBNAME} < /data/konvert/postnas_0.6/nutzungsart_laden.sql
+  ##
+  echo "** Optimierte Gemeindetabelle neu Laden:"
+  psql -p 5432 -d ${DBNAME} < /data/konvert/postnas_0.6/gemeinden_laden.sql
+fi
 #
 echo "Das Fehler-Protokoll wurde ausgegeben in die Datei '$errprot' "
Index: trunk/data/konvert/postnas_0.7/konvertierung_kommandos_beispiele.txt
===================================================================
--- trunk/data/konvert/postnas_0.7/konvertierung_kommandos_beispiele.txt	(revision 165)
+++ trunk/data/konvert/postnas_0.7/konvertierung_kommandos_beispiele.txt	(revision 165)
@@ -0,0 +1,35 @@
+
+Beispiele fÃŒr die PostNAS Konvertierung von der Linux-Konsole.
+
+Es werden nicht die Shell-Scripte verwendet, die im Dialog die Parameter abfragen,
+sondern die davon aufgerufenen Shell-Scripte, die angehÃ€ngte Parameter erwarten.
+Diese Kommandos wÃŒrden z.B. fÃŒr nÃ€chtliche LÃ€ufe verwendet.
+
+
+Version:
+ 2012-02-10  Umstellung Version 0.6 auf 0.7
+
+gkz = 290
+
+
+
+Kommandos zum Konvertieren:
+--------------------------
+
+Packen:
+ /data/konvert/postnas_0.7/zip_ordner.sh /data/nas_daten/290/0003
+
+Neu-Laden:
+ /data/konvert/postnas_0.7/konv_batch.sh /data/nas_daten/290/0000 alkis07290_neu e  pp
+
+
+Datenbank-Tausch nach Neu-Laden (SQL):
+  ALTER Database alkis07290      RENAME TO  alkis07290_alt;
+  ALTER Database alkis07290_neu  RENAME TO  alkis07290;
+
+Aktualisieren:
+ /data/konvert/postnas_0.7/konv_batch.sh /data/nas_daten/290/0002 alkis07290 a  nopp
+ /data/konvert/postnas_0.7/konv_batch.sh /data/nas_daten/290/0003 alkis07290 a  pp
+
+Kontrolle:
+ less /data/konvert/postnas_0.7/log/postnas_err.prot
Index: trunk/data/konvert/postnas_0.7/ordner_konvertieren.sh
===================================================================
--- trunk/data/konvert/postnas_0.7/ordner_konvertieren.sh	(revision 164)
+++ trunk/data/konvert/postnas_0.7/ordner_konvertieren.sh	(revision 165)
@@ -1,3 +1,3 @@
-#!/bin/sh
+#!/bin/bash
 ## -------------------------------------------------
 ## Konvertierung von ALKIS NAS-Format nach PosGIS  -
@@ -8,4 +8,5 @@
 ##  2012-02-10  PostNAS 07, Umbenennung
 ##  2012-02-17  Parameter "DBUSER" raus
+##  2012-02-28  Parameter 4 = 'pp' (mit Post-Processing)
 ## 
 function get_db_config(){
@@ -59,4 +60,8 @@
 		read JEIN
 	done
+	#
+	# Mit/ohne Post-Processing
+	#
+	## pauschal ja
 }
 ## aller Laster Anfang
@@ -70,6 +75,6 @@
 echo "** Konvertierung ALKIS **" > /data/konvert/postnas_0.7/log/postnas_err.prot
 echo "** Beginn Batch **"
-##                                       1        2        3
-/data/konvert/postnas_0.7/konv_batch.sh  $ORDNER  $DBNAME  $UPD
+##                                       1        2        3     4
+/data/konvert/postnas_0.7/konv_batch.sh  $ORDNER  $DBNAME  $UPD  pp
 result=$?
 if [ $result = 0 ]
@@ -81,5 +86,5 @@
 echo " "
 echo " Kommando fuer Wiederholung:"
-echo " /data/konvert/postnas_0.7/konv_batch.sh  $ORDNER  $DBNAME  $UPD "
+echo " /data/konvert/postnas_0.7/konv_batch.sh  $ORDNER  $DBNAME  $UPD  pp"
 echo " "
 ###
Index: trunk/data/konvert/postnas_0.7/konv_batch.sh
===================================================================
--- trunk/data/konvert/postnas_0.7/konv_batch.sh	(revision 164)
+++ trunk/data/konvert/postnas_0.7/konv_batch.sh	(revision 165)
@@ -21,4 +21,5 @@
 ##   2012-02-10 Umbennung nach 0.7
 ##   2012-02-17 Optimierung
+##   2012-02-28 Neuer Parameter 4 um Post-Prozessing zu unterdrücken
 ##
 ## Konverter:   /opt/gdal-1.9.1/bin/ = GDAL 1.9-DEV / PostNAS 0.7
@@ -33,4 +34,5 @@
 DBNAME=$2
 UPD=$3
+PP=$4
 if [ $ORDNER == "" ]
 then
@@ -55,4 +57,16 @@
 		echo "Parameter 3 'Aktualisierung' ist weder e noch a"
 		exit 3
+	fi
+fi
+if [ $PP == "nopp" ]
+then
+	echo "KEIN Post-Processing nach dieser Konvertierung."
+else
+	if [ $PP == "pp" ]
+	then
+		echo "normales Post-Processing."
+	else
+		echo "FEHLER: Parameter 4 'Post-Proscessing' ist weder 'nopp' noch 'pp'"
+		exit 4
 	fi
 fi
@@ -126,9 +140,17 @@
 echo "** Ende Konvertierung Ordner ${ORDNER}"
 ##
-echo "** Optimierte Nutzungsarten neu Laden:"
-psql -p 5432 -d ${DBNAME} < /data/konvert/postnas_0.7/nutzungsart_laden.sql
-##
-echo "** Post Processing neu Laden:"
-psql -p 5432 -d ${DBNAME} < /data/konvert/postnas_0.7/pp_laden.sql
+if [ $PP == "nopp" ]
+then
+  echo "** KEIN Post-Processing - Dies Spaeter nachholen."
+  # Dies kann sinnvoll sein, wenn mehrere kleine Aktualisierungen hintereinander auf einem großen Bestand laufen
+  # Der Aufwand für das Post-Processing ist dann nur bei der LETZTEN Aktualisierung notwendig.
+else
+  echo "** Post-Processing (Nacharbeiten zur Konvertierung)"
+  echo "** - Optimierte Nutzungsarten neu Laden:"
+  psql -p 5432 -d ${DBNAME} < /data/konvert/postnas_0.7/nutzungsart_laden.sql
+  ##
+  echo "** - Fluren / Gemarkungen / Gemeinden neu Laden:"
+  psql -p 5432 -d ${DBNAME} < /data/konvert/postnas_0.7/pp_laden.sql
+fi
 #
 echo "Das Fehler-Protokoll wurde ausgegeben in die Datei '$errprot' "